﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;
using Social.Entity.TikMessage;

namespace Social.DAL.EF.Context
{
    public class TikMessageContext : ContextBase
    {
        public DbSet<MessageFolder> MessageFolder { get; set; }
        public DbSet<Message> Message { get; set; }
        public DbSet<MessageView> MessageView { get; set; }
        public DbSet<MessageComment> MessageComment { get; set; }
        public DbSet<MessageCommentView> MessageCommentView { get; set; }
        public DbSet<MessageRecipient> MessageRecipient { get; set; }
        public DbSet<MessageRecipientView> MessageRecipientView { get; set; }

    }
}
