﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;

namespace Social.Entity.TikActivity
{
    [Serializable]
    public class UserActivity
    {
        [Key]
        public Guid ID { get; set; }
        public Guid OwnerID { get; set; }
        public byte ActivityType { get; set; }
        public byte TargetType { get; set; }
        public Guid TargetID { get; set; }
        public byte ObjectType { get; set; }
        public Guid ObjectID { get; set; }
        public DateTime CreatedDate { get; set; }
        public bool HideOwner { get; set; }
        public bool HideTarget { get; set; }
    }
}
