using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
namespace Social.Entity.TikActivity
{
    [Serializable]
    public class UserComment
    {
        [Key]
		public Guid ID { get; set; }
        public byte ObjectType { get; set; }
		public Guid ObjectID { get; set; }
		public Guid FromID { get; set; }
		public String FromName { get; set; }
		public Byte CommentBy { get; set; }
		public DateTime CommentDate { get; set; }
		public String CommentContent { get; set; }
		public Boolean IsUserLike { get; set; }
		public Int32 LikeCount { get; set; }
        public Guid OwnerID { get; set; }
        //[ForeignKey("ObjectID")]
        //public virtual UserFeed UserFeed { get; set; }

        //public virtual ICollection<UserLike> UserLike { get; set; }
    }
}
