using System;
using System.ComponentModel.DataAnnotations;
namespace Social.Entity.TikApplication
{
    [Serializable]
    public class Link
    {
		public Guid ID { get; set; }
		public Guid UserID { get; set; }
		public String Message { get; set; }
		public DateTime CreatedDate { get; set; }
		public String Name { get; set; }
		public String Caption { get; set; }
		public String LinkURL { get; set; }
		public String Description { get; set; }
		public String IconURL { get; set; }
		public String PictureURL { get; set; }
		public Int32 LikeCount { get; set; }
		public Int32 CommentCount { get; set; }
		public Byte LinkType { get; set; }
		public Int32 ViewCount { get; set; }
		public Boolean IsUserLike { get; set; }
		public Byte PrivacyType { get; set; }
		public String PrivacyPeople { get; set; }
       
    }
}
