using System;
using System.ComponentModel.DataAnnotations;
using System.Configuration;
namespace Social.Entity.TikFriend
{
    [Serializable]
    public class FriendRequestJoinProfile
    {
		public Guid ID { get; set; }
		public Guid OwnerID { get; set; }
		public Guid FriendID { get; set; }
		public String FriendFullName { get; set; }
		//public String FriendSmallAvatarUrl { get; set; }
		public Boolean Status { get; set; }
		public Guid SuggestedBy { get; set; }
		public DateTime CreatedDate { get; set; }
		public DateTime UpdatedDate { get; set; }
        public string FisrtName { get; set; }
        public string LastName { get; set; }
        private string _friendsmallavatarUrl;

        //public string FriendSmallAvatarUrlNotMap
        //{
        //    get { return _friendsmallavatarUrl; }
        //    set { _friendsmallavatarUrl = value; }
        //}
        
        public string FriendSmallAvatarUrl
        {
            get
            {
                if (!_friendsmallavatarUrl.Contains("http://"))
                    return string.Concat(ConfigurationManager.AppSettings["AvatarServerUrl"], _friendsmallavatarUrl);
                return _friendsmallavatarUrl;
            }
            set { _friendsmallavatarUrl = value; }
        }

       
    }
}
