using System;
using System.ComponentModel.DataAnnotations;
using System.Collections;
using System.Collections.Generic;
using Social.Entity.Tik;
namespace Social.Entity.TikMessage
{
    [Serializable]
    public class Message
    {
        public Guid ID { get; set; }
        public Guid FromID { get; set; }
        public String Subject { get; set; }
        public String MessageContent { get; set; }
        public DateTime CreatedDate { get; set; }
        public DateTime UpdatedDate { get; set; }
        public virtual ICollection<MessageRecipient> Recipients { get; set; }
        public virtual ICollection<MessageComment> Comments { get; set; }
    }
}
