using System;
namespace Social.Entity.TikMusic
{
    [Serializable]
    public class Album
    {
		public Guid ID { get; set; }
		public Guid UserID { get; set; }
		public String AlbumName { get; set; }
        public String Singer { get; set; }
        public Guid CategoryID { get; set; }
        public String CategoryName { get; set; }
        public String ImageURL { get; set; }
        public String Description { get; set; }
        public Byte PrivacyType { get; set; }
        public String PrivacyPeopleShowHide { get; set; }
        public Int32 SongCount { get; set; }
		public Int32 ViewCount { get; set; }
		public Int32 LikeCount { get; set; }
		public Int32 CommentCount { get; set; }
        public DateTime CreatedDate { get; set; }
        public DateTime ModifiedDate { get; set; }
       
    }
}
