using System;
namespace Social.Entity.TikMusic
{
    [Serializable]
    public class Song
    {
        public Guid ID { get; set; }
        public Guid UserID { get; set; }
        public Guid AlbumID { get; set; }
        public String SongName { get; set; }
        public String Singer { get; set; }
        public String Writer { get; set; }
        public Guid CategoryID { get; set; }
        public String CategoryName { get; set; }
        public String Lyric { get; set; }
        public String Description { get; set; }
        public String SourceUrl { get; set; }
        public String BitRate { get; set; }
        public String FileSize { get; set; }
        public double Duration { get; set; }
        public Byte PrivacyType { get; set; }
        public String PrivacyPeopleShowHide { get; set; }
        public Int32 ViewCount { get; set; }
        public Int32 LikeCount { get; set; }
        public Int32 CommentCount { get; set; }
        public DateTime CreatedDate { get; set; }
        public DateTime ModifiedDate { get; set; }
    }
}
