using Social.Entity.Tik;
using System.Collections.Generic;
using System;
using Webdiyer.WebControls.Mvc;

namespace Social.Service.Interface.Tik
{
    public interface IUserSearchService : IService<UserSearch>
    {
        List<UserSearch> GetByFullText(string keyword,int top);
        List<UserSearch> GetByFullText(string keyword, int top, Guid[] listExisted);
        PagedList<UserSearch> GetByFullTextSearch(string keyword, int pageIndex = 0, int pageSize = 10);
        int GetCountResultSearch(string keyword);
    }
}
