using Social.Entity.Tik;
using System.Collections.Generic;
using System;

namespace Social.Service.Interface.Tik
{
    public interface IUserUniversityService : IService<UserUniversity>
    {
        List<UserUniversity> GetByUniversity(string university);
        UserUniversity GetByUserID(Guid userid);
        List<Guid> GetListByUniversity(List<string> university);
        string GetStringByUserID(Guid userId);
        List<UserUniversity> ListGetByGuid(Guid userid);
        UserUniversity GetByTop1(Guid userID);
    }
}
