using System;
using System.Collections.Generic;
using Social.Entity.TikActivity;

namespace Social.Service.Interface.TikActivity
{
    public interface IUserNotificationService : IService<UserNotification>
    {
        UserNotification Get(Guid id);
        List<UserNotification> GetAll(Guid userid, bool isRead = false, bool isHidden = false);
        List<UserNotification> GetAll(Guid userid, bool isHidden = false);
        bool UpdateRead(Guid ownerid, bool isRead = false, bool isHidden = false);
        int CountUnread(Guid userid);
        void SetRead(Guid id);
        void SetHidden(Guid id);
    }
}
