using Social.Entity.TikMessage;
using System;
using System.Collections.Generic;

namespace Social.Service.Interface.TikMessage
{
    public interface IMessageService : IService<Message>
    {
        Webdiyer.WebControls.Mvc.PagedList<MessageView> GetInboxByUserID(Guid uid, bool? unread = null, bool? isSpam = null, bool? isArchived = null, int pageIndex = 0, int pageSize = 20);
        Webdiyer.WebControls.Mvc.PagedList<MessageView> GetSentByUserID(Guid uid, int pageIndex = 0, int pageSize = 20);
        MessageView GetMessageViewByID(Guid msgID);
        void UpdateRead(Guid uid, Guid msgID);
        int GetCountUnread(Guid uid);
        List<MessageView> GetTopMessageViewByUserID(Guid uid, int top = 5);
    }
}
