using System;
using System.Collections.Generic;
using System.Web.Mvc;
using Social.Entity.TikMusic;

namespace Social.Service.Interface.TikMusic
{
    public interface ISongService : IService<Song>
    {
        List<Song> GetByAlbumId(Guid albumId);
        List<Song> GetPageListSongByUserId(Guid userId, int pageIndex, int pageSize, out int totalRow);
    }
}
