﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Social.Service.Interface.Tik;
using Social.Lib;
using Social.Service.Interface.TikFriend;

namespace Social.Web.Areas.Friend.Controllers
{
    public class FellowController : Controller
    {
        //
        // GET: /Friend/Fellow/
        //đồng hương

        
        IUserProfileService _user;
        IUserHobbyService _userhobby;
        IUserUniversityService _userUniversity;
        IUserSchoolService _userSchool;
        IUserCompanyService _userCompany;
        IUserContactService _userContact;
        IUserFamilyService _userFamily;
        IUserProfileAndUserSearchService _userprofileandusersearchservice;
        //đã là bạn
        IFriendSearchService _friendsearchservice;
        //đang chờ kết bạn
        IFriendRequestService _friendrequestservice;
        //
        // GET: /UserSchool/
        public FellowController(IUserProfileService user, IUserHobbyService userhobby, IUserSchoolService userSchool, IUserUniversityService userUniversity, IUserCompanyService userCompany, IUserContactService userContact, IUserFamilyService userFamily, IUserProfileAndUserSearchService userprofileandusersearchservice, IFriendSearchService friendsearchservice,IFriendRequestService friendrequestservice)
        {
            _user = user;
            _userhobby = userhobby;
            _userSchool = userSchool;
            _userUniversity = userUniversity;
            _userCompany = userCompany;
            _userContact = userContact;
            _userFamily = userFamily;
           _userprofileandusersearchservice = userprofileandusersearchservice;
           _friendsearchservice = friendsearchservice;
           _friendrequestservice = friendrequestservice;
        }


        public ActionResult Index()
        {
            
            return View();
        }
        public ActionResult GetHomeAddress()
        {

            if (!SessionManager.IsLoggedIn()) return RedirectToRoute("Register_Index");
            Guid ownerID = SessionManager.CurrentUserID();
            var _listuserprofile = _user.GetByID(ownerID);
            return View(_listuserprofile);
        }
        public ActionResult GetCurrentAddress()
        {
            if (!SessionManager.IsLoggedIn()) return RedirectToRoute("Register_Index");
            Guid ownerID = SessionManager.CurrentUserID();
            var _listuserprofile = _user.GetByID(ownerID);
            return View(_listuserprofile);
        }
        public string ResultFellowHomeAddress(string keyword,string fullname)
        {
            string str = "";

            try
            {

                var _list = _userprofileandusersearchservice.GetByHomeAddress(fullname, keyword, SessionManager.CurrentUserID());

                str = "<div class=\"result-search\"><div class=\"friend-display\">Có " + _list.Count() + " kết quả tìm kiếm</div><div class=\"list_search_result\"><ul>";

                foreach (var listuser in _list)
                {
                    if (listuser.ID != SessionManager.CurrentUserID())
                    {

                        str += "<li><a alt=\"" + listuser.FullName + "\" title=\"" + listuser.FullName + "\" href=\"" + listuser.ProfileLink + "\">";
                        str += "<img width=\"50\" height=\"50\" alt=\"" + listuser.FullName + "\" title=\"" + listuser.FullName + "\" src=\"" + listuser.SmallAvatar + "\" class=\"imgSearchFriend\"></a>";
                        str += "<p>";
                        str += "<strong><a alt=\"" + listuser.FullName + "\" title=\"" + listuser.FullName + "\" href=\"" + listuser.ProfileLink + "\" class=\"linkSearchFriend\">" + listuser.FullName + "</a></strong></p><p class=\"mf_1000054475\">";

                        var checkrequestfriend = _friendrequestservice.GetCountByFromUserIDAndToUserID(SessionManager.CurrentUserID(), listuser.ID);
                        var checkrequestfriend1 = _friendrequestservice.GetCountByFromUserIDAndToUserID(listuser.ID, SessionManager.CurrentUserID());
                        var checkuserfriend = _friendsearchservice.CheckFriend(listuser.ID, SessionManager.CurrentUserID());
                        if (checkrequestfriend > 0)
                        {
                            str += "<span> đang chờ kết bạn</span></p></li>";
                        }
                        else if (checkrequestfriend1 > 0)
                        {
                            str += "<span> đồng ý kết bạn</span></p></li>";
                        }
                        else if (checkuserfriend == true)
                        {

                        }
                        else
                        {
                            str += "<img height=\"16\" class=\"icon01 ico14\" src=\"http://banbecdn.net/images/graphics/blank_img.gif\">";
                            str += "<a href=\"#\" class=\"btn-addfriendearch\" id=\"" + listuser.ID + "\"  alt=\"" + listuser.FullName + "\"> kết bạn</a></p></li>";
                        }
                    }
                }

                str += "</ul></div></div>";
            }
            catch { }
            return str;
        }
        public string ResultFellowCurrentAddress(string keyword, string fullname)
        {
            string str = "";

            try
            {

                var _list = _userprofileandusersearchservice.GetByCurrentAddress(fullname, keyword, SessionManager.CurrentUserID());

                str = "<div class=\"result-search\"><div class=\"friend-display\">Có " + _list.Count() + " kết quả tìm kiếm</div><div class=\"list_search_result\"><ul>";

                foreach (var listuser in _list)
                {
                    if (listuser.ID != SessionManager.CurrentUserID())
                    {

                        str += "<li><a alt=\"" + listuser.FullName + "\" title=\"" + listuser.FullName + "\" href=\"" + listuser.ProfileLink + "\">";
                        str += "<img width=\"50\" height=\"50\" alt=\"" + listuser.FullName + "\" title=\"" + listuser.FullName + "\" src=\"" + listuser.SmallAvatar + "\" class=\"imgSearchFriend\"></a>";
                        str += "<p>";
                        str += "<strong><a alt=\"" + listuser.FullName + "\" title=\"" + listuser.FullName + "\" href=\"" + listuser.ProfileLink + "\" class=\"linkSearchFriend\">" + listuser.FullName + "</a></strong></p><p class=\"mf_1000054475\">";

                        var checkrequestfriend = _friendrequestservice.GetCountByFromUserIDAndToUserID(SessionManager.CurrentUserID(), listuser.ID);
                        var checkrequestfriend1 = _friendrequestservice.GetCountByFromUserIDAndToUserID(listuser.ID, SessionManager.CurrentUserID());
                        var checkuserfriend = _friendsearchservice.CheckFriend(listuser.ID, SessionManager.CurrentUserID());
                        if (checkrequestfriend > 0)
                        {
                            str += "<span> đang chờ kết bạn</span></p></li>";
                        }
                        else if (checkrequestfriend1 > 0)
                        {
                            str += "<span> đồng ý kết bạn</span></p></li>";
                        }
                        else if (checkuserfriend == true)
                        {

                        }
                        else
                        {
                            str += "<img height=\"16\" class=\"icon01 ico14\" src=\"http://banbecdn.net/images/graphics/blank_img.gif\">";
                            str += "<a href=\"#\" class=\"btn-addfriendearch\" id=\"" + listuser.ID + "\"  alt=\"" + listuser.FullName + "\"> kết bạn</a></p></li>";
                        }
                    }
                }

                str += "</ul></div></div>";
            }
            catch { }
            return str;
        }

    }
}
