﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Social.DAL;
using Social.Entity;
using Social.Entity.Tik;
using Social.Service;
using Social.Service.Interface.Tik;
using Social.Web.Logging;
using Social.Web.Extends;
namespace Social.Web.Controllers
{
    public class UserSchoolController : Controller
    {
        IUserSchoolService _user;
        IUserProfileService _userprofile;
        IUserSearchService _usersearch;
        //
        // GET: /UserSchool/
        public UserSchoolController(IUserSchoolService user,IUserProfileService userprofile,IUserSearchService usersearch)
        {
            _user = user;
            _userprofile = userprofile;
            _usersearch = usersearch;
        }
        public ActionResult List()
        {
            List<UserProfile> list = _userprofile.GetAll().ToList();
            foreach (UserProfile user in list)
            {
                UserSearch us = new UserSearch();
                us.ID = Guid.NewGuid();
                us.SmallAvatar = user.SmallAvatarUrlMap;
                us.UserID = user.ID;
                us.Username = user.UserName;
                us.FullName = user.FullName;
                us.FullText = string.Format("{0},{1},{2},{3}", user.UserName, Lib.Utility.Utility.RemoveSign4VietnameseString(user.FullName), user.FullName, user.Email);
                var checkUS=_usersearch.Single(it => it.UserID == us.UserID);
                if(checkUS==null)
                    _usersearch.Add(us);               
            }
            return View();
            //return View(_user.Search(""));
            //_user.Add<UserSchool>(new UserSchool {Name="xtrung",Username="hehe",ClassYear=2005,ID=new Guid() });
            //var logger = DependencyResolver.Current.GetService<ILogger>();
            //logger.Info("Show user");
            //List<UserSchool> lstUserSchool;
            //if (Memcached.MainCache.Get<List<UserSchool>>("UserSchool") != null)
            //    lstUserSchool = Memcached.MainCache.Get<List<UserSchool>>("UserSchool");
            //else
            //{
            //    lstUserSchool = _user.GetAll().ToList();
            //    Memcached.MainCache.Store(Enyim.Caching.Memcached.StoreMode.Set, "UserSchool", lstUserSchool, Memcached.CacheTime);
            //}
            //_userprofile.GetAll();
            //return View(lstUserSchool);
        }

    }
}
