﻿function RemoveAlbum(aId) {
    var _album = { type: 'RemoveAlbum', aId: aId };
    var divF = "<div id='divConfirm'></div>";
    if ($('#divConfirm').length > 0) {
        $('#divConfirm').remove();
    }
    $('body').append(divF);
    $("#divConfirm").attr('title', 'Xác nhận');
    $("#divConfirm").append("Bạn có chắc chắn muốn xóa album này không?");

    $("#divConfirm").dialog({
        height: '100',
        width: 'auto',
        modal: true,
        resizable: false,
        buttons: {
            "Xóa Album": function () {
                $.ajax({
                    beforeSend: function () {
                    },
                    type: 'POST',
                    dataType: 'text',
                    url: "/Service/SongService.ashx",
                    data: _album,
                    success: function (text) {
                        if (text == "1") {
                            window.location = "/" + CURRENT_USERNAME + "/Music";
                            $("#divConfirm").dialog('close');
                            return;
                        }
                        else {
                            TikAlert('Không xóa được album!', 'Thông báo');
                        }
                    }
                });

            },
            "Hủy": function () { $(this).dialog('close'); return; }
        }
    });
    $("#divConfirm").dialog('open');
}

function RemoveSong(sId) {
    var _album = { type: 'RemoveSong', sId: sId };
    var divF = "<div id='divConfirm'></div>";
    if ($('#divConfirm').length > 0) {
        $('#divConfirm').remove();
    }
    $('body').append(divF);
    $("#divConfirm").attr('title', 'Xác nhận');
    $("#divConfirm").append("Bạn có chắc chắn muốn xóa bài hát này không?");

    $("#divConfirm").dialog({
        height: '100',
        width: 'auto',
        modal: true,
        resizable: false,
        buttons: {
            "Xóa bài hát": function () {
                $.ajax({
                    beforeSend: function () {
                    },
                    type: 'POST',
                    dataType: 'text',
                    url: "/Service/SongService.ashx",
                    data: _album,
                    success: function (text) {
                        if (text == "1") {
                            $('#song_' + sId).remove();
                            $("#divConfirm").dialog('close');
                            return;
                        }
                        else {
                            TikAlert('Không xóa được album!', 'Thông báo');
                        }
                    }
                });

            },
            "Hủy": function () { $(this).dialog('close'); return; }
        }
    });
    $("#divConfirm").dialog('open');
}

function LoadMoreAlbum() {
    var _album = { type: 'LoadMoreAlbum', uid: cUvI, pager: (pagerAlbum + 1) };
    $('#imgLoadMoreAlbum').show();
    $.ajax({
        beforeSend: function () {
        },
        type: 'POST',
        dataType: 'text',
        url: "/Service/SongService.ashx",
        data: _album,
        success: function (text) {
            var retVal = eval(text);
            if (retVal.Return == "1") {
                if (retVal.lstAlbum.length > 0) {
                    var strHtml = "";
                    for (var i = 0; i < retVal.lstAlbum.length; i++) {
                        strHtml += "<li>";
                        strHtml += "<a class=\"img\" title=\"" + retVal.lstAlbum[i].AlbumName + "\" href=\"/" + cUv + "/Music/AlbumDetail/" + retVal.lstAlbum[i].ID + "\"><span><img width=\"130\" height=\"98\" border=\"0\" alt=\"" + retVal.lstAlbum[i].AlbumName + "\" src=\"" + retVal.lstAlbum[i].ImageURL + "\"><i></i></span></a>";
                        strHtml += "<p><span class=\"t\"><a href=\"/" + cUv + "/Music/AlbumDetail/" + retVal.lstAlbum[i].ID + "\">" + retVal.lstAlbum[i].AlbumName + "</a> (" + retVal.lstAlbum[i].SongCount + " bài)</span>Ca sỹ: " + retVal.lstAlbum[i].Singer + "<br>Lượt thích: " + retVal.lstAlbum[i].LikeCount + "</p>";
                        if (_isMyMusic) {
                            strHtml += "<p style=\"float:right\"><a onclick=\"\" href=\"\">Sửa</a> | <a onclick=\"RemoveAlbum('');\" href=\"javascript:void(0)\">Xóa</a></p>";
                        }
                        strHtml += "</li>";
                    }
                    $('#divLstAlbum').append(strHtml);
                    if (retVal.lstAlbum.length < 9) {
                        $('#imgLoadMoreAlbum').hide();
                        $('#divLoadMoreAlbum').hide();
                    } else {
                        $('#imgLoadMoreAlbum').hide();
                        $('#divLoadMoreAlbum').show();
                        pagerAlbum = pagerAlbum + 1;
                    }
                    $(".albumLs li:nth-child(3n)").addClass('r').after($('<li class="clr"></li>'));
                } else {
                    $('#imgLoadMoreAlbum').hide();
                    $('#divLoadMoreAlbum').hide();
                }
            }
        }
    });
}

function LoadMoreSong() {
    var _song = { type: 'LoadMoreSong', uid: cUvI, pager: (pagerSong + 1) };
    $('#imgLoadMoreSong').show();
    $.ajax({
        beforeSend: function () {
        },
        type: 'POST',
        dataType: 'text',
        url: "/Service/SongService.ashx",
        data: _song,
        success: function (text) {
            var retVal = eval(text);
            if (retVal.Return == "1") {
                if (retVal.lstSong.length > 0) {
                    var strHtml = "";
                    for (var i = 0; i < retVal.lstSong.length; i++) {
                        strHtml += "<li class=\"it\" id=\"song_" + retVal.lstSong[i].ID + "\">";
                        if (_isMyMusic) {
                            strHtml += "<a class=\"fr closeBtn\" href=\"javascript:void(0);\" onclick=\"RemoveSong('" + retVal.lstSong[i].ID + "')\" style=\"opacity: 0;\"> </a>";
                        }
                        strHtml += "<a href=\"javascript:void(0)\" class=\"t\" style=\"width:400px\" data='{\"SourceUrl\":\"" + TikEncode(retVal.lstSong[i].SourceUrl) + "\",\"SongName\":\"" + TikEncode(retVal.lstSong[i].SongName) + "\",\"Singer\":\"" + TikEncode(retVal.lstSong[i].Singer) + "\",\"Duration\":\"" + retVal.lstSong[i].Duration + "\",\"ID\":\"" + retVal.lstSong[i].ID + "\"}'>";
                        strHtml += "<img src=\"/Content/Images/play.png\" alt=\"Play\" width=\"24\" height=\"24\" class=\"fl\" border=\"0\" />";
                        strHtml += "<strong>" + retVal.lstSong[i].SongName + "</strong>";
                        strHtml += "</a>";
                        strHtml += "<div class=\"player\"></div> <div class=\"clr\"></div>";
                        //strHtml += "<div class=\"c1\">Trình bày : <a href=\"javascript:void(0)\">" + retVal.lstSong[i].Singer + "</a><br />Sáng tác : <a href=\"javascript:void(0)\">" + retVal.lstSong[i].Writer + "</a></div>";
                        strHtml += "<div class=\"c1\">Trình bày : " + retVal.lstSong[i].Singer + "<br />Sáng tác : " + retVal.lstSong[i].Writer + "</div>";
                        //strHtml += "<div class=\"c2\">Bitrate: " + retVal.lstSong[i].BitRate + "<br />Thể loại: <a href=\"javascript:void(0)\">" + retVal.lstSong[i].CategoryName + "</a><br />Upload: <a href=\"/" + cUv + "\">" + cUvF + "</a></div>";
                        strHtml += "<div class=\"c2\">Bitrate: " + retVal.lstSong[i].BitRate + "<br />Thể loại: " + retVal.lstSong[i].CategoryName + "</div>";
                        //strHtml += "<div class=\"c3\">" + retVal.lstSong[i].LikeCount + " người thích<br />" + retVal.lstSong[i].ViewCount + " lượt nghe<br />" + retVal.lstSong[i].CommentCount + " cảm nhận</div>";
                        strHtml += "<div class=\"c3\">" + retVal.lstSong[i].LikeCount + " người thích<br />" + retVal.lstSong[i].CommentCount + " cảm nhận</div>";
                        strHtml += "<div class=\"clr\"></div>";
                        strHtml += "</li>";
                    }
                    $('#divLstSong').append(strHtml);
                    if (retVal.lstSong.length < 10) {
                        $('#imgLoadMoreSong').hide();
                        $('#divLoadMoreSong').hide();
                    } else {
                        $('#imgLoadMoreSong').hide();
                        $('#divLoadMoreSong').show();
                        pagerSong = pagerSong + 1;
                    }
                } else {
                    $('#imgLoadMoreSong').hide();
                    $('#divLoadMoreSong').hide();
                }
            }
        }
    });
}

function UpdateAlbum() {
    var abName = $('#AlbumName').val();
    var singer = $('#abSinger').val();
    var catID = $('#abCategory').val();
    var catName = $('#abCategory option:selected').text();
    var desc = $('#abDesc').val();
    var privacy = $('#abPrivacy').val();
    if (abName == "") {
        TikAlert('Bạn chưa nhập tên Album!', 'Thông báo'); return false;
    }
    if (catID == "0") {
        TikAlert('Bạn chưa chọn thể loại!', 'Thông báo'); return false;
    }
    var _album = { aId: albumId, abName: TikEncode(abName), singer: TikEncode(singer), catID: TikEncode(catID), catName: TikEncode(catName), desc: TikEncode(desc), privacy: privacy, type: 'UpdateAlbum', ASPSESSID: ASPSESSID, AUTHID: auth };
    var fileImg = $('#fileUploadImgQueue').html();
    if (fileImg != '') {
        $("#fileUploadImg").uploadifySettings('scriptData', _album);
        $("#fileUploadImg").uploadifyUpload();
    }
    else {
        $.ajax({
            beforeSend: function () {
            },
            type: 'POST',
            dataType: 'text',
            url: "/Service/SongService.ashx",
            data: _album,
            success: function (response) {
                switch (response) {
                    case "1":
                        TikAlert('Cập nhật thành công', 'Thông báo');
                        window.location = '/' + userView + '/Music';
                        break;
                    case "-1":
                        TikAlert('Bạn không có quền tạo album do chưa đăng nhập', 'Thông báo');
                        break;
                    default:
                        TikAlert('Không thành công bạn vui lòng thử lại', 'Thông báo');
                        break;
                }
            }
        });
    }
}