﻿MusicUpload = {
    fileUploadID: '',
    params: { type: 'UploadQueue', abc: 'abc' },
    queueSizeLimit: 5,
    PhotoDataUrl: '',
    NameThumb: '',
    Init: function (_fileUpload, _photoDataUrl, _nameThumb) {
        MusicUpload.fileUploadID = _fileUpload;
        MusicUpload.PhotoDataUrl = _photoDataUrl;
        MusicUpload.NameThumb = _nameThumb;
        $(MusicUpload.fileUploadID).uploadify({
            'uploader': '/Scripts/Uploadify/uploadify.swf',
            'script': '/Service/SongService.ashx',
            'cancelImg': '/Scripts/Uploadify/cancel.png',
            'buttonImg': '/Content/Music/upload.png',
            'fileExt': '*.mp3',
            'scriptData': { type: 'UploadQueue', ASPSESSID: ASPSESSID, AUTHID: auth },
            'fileDesc': 'Mp3 Files',
            'width': 57,
            'sizeLimit': 15728640, //15MB
            'multi': true,
            'auto': true,
            'onComplete': function (event, ID, fileObj, response, data) {
                var InfoRV = eval(response);
                switch (InfoRV.Return) {
                    case 1:
                        MusicUpload.BuildSongInfo(InfoRV.SongInfo);
                        break;
                    case -1:
                        TikAlert('Bạn không có quền tải nhạc do chưa đăng nhập', 'Thông báo');
                        break;
                    case -2:
                        TikAlert('Bạn chưa chọn file nhạc để upload!', 'Thông báo');
                        break;
                    case -3:
                        TikAlert('Bạn chưa chọn file nhạc để upload!', 'Thông báo');
                        break;
                    case -4:
                        TikAlert('Bạn chỉ có thể upload file .mp3!', 'Thông báo');
                        break;
                    case -5:
                        TikAlert('Bạn chỉ có thể upload file .mp3 < 15MB!', 'Thông báo');
                        break;
                    default:
                        TikAlert('Không thành công bạn vui lòng thử lại', 'Thông báo');
                        break;
                }
            },
            'onAllComplete': function (event, data) {
                //alert(data.filesUploaded + ' files uploaded successfully!');
            },
            'onSelectOnce': function (event, data) {
                if (data.filesSelected > MusicUpload.queueSizeLimit) {
                    TikAlert('Ban chỉ được upload tối đa ' + MusicUpload.queueSizeLimit + " file trong một lần!");
                    $(MusicUpload.fileUploadID).uploadifyClearQueue();
                }
            }
        });
    },
    BuildSongInfo: function (O) {
        var strHTML = "";
        strHTML += "<li class=\"item\" id=\"SIF_" + O.ID + "\" style=\"display:none\"><div class=\"fl i\">";
        strHTML += "<strong>Thông tin bài hát </strong>" + O.SongName + "</div>";
        strHTML += "<a href=\"\" class=\"fr closeBtn\" style=\"margin-top:5px\">";
        strHTML += "</a><div class=\"clr\">";
        strHTML += "</div><div class=\"i\">";

        //SongName
        strHTML += "<div class=\"fl para\">Tên bài hát</div>";
        strHTML += "<div class=\"fl ip\"><input id=\"SongName\" type=\"text\" class=\"IPHL\" size=\"44\" value=\"" + O.SongName + "\" />";
        strHTML += "</div><div class=\"clr\">";
        strHTML += "</div></div><div class=\"i\">";
        //Singer
        strHTML += "<div class=\"fl para\">Ca sĩ thể hiện</div>";
        strHTML += "<div class=\"fl ip\"><textarea id=\"Singer\" name=\"Singer\" class=\"IPHL autoResize\" cols=\"53\" rows=\"2\">";
        strHTML += "</textarea></div><div class=\"clr\">";
        strHTML += "</div></div><div class=\"i\">";
        //Writer
        strHTML += "<div class=\"fl para\">Sáng tác</div>";
        strHTML += "<div class=\"fl ip\"><textarea name=\"Writer\" id=\"Writer\" class=\"IPHL autoResize\" cols=\"55\" rows=\"2\">";
        strHTML += "</textarea></div><div class=\"clr\">";
        strHTML += "</div></div><div class=\"i\">";
        //Cat
        strHTML += "<div class=\"fl para\">Thể loại</div>";
        strHTML += "<div class=\"fl ip\">";
        strHTML += "<select name=\"Category\" id=\"Category\"><option value=\"0\" selected=\"selected\">Chọn thể loại nhạc</option>";
        var tmp = _listCategory.replace(/&quot;/g, "\"");
        var cat = eval(tmp);
        var cnt = cat.length;
        if (cnt > 0) {
            for (var i = 0; i < cnt; i++) {
                strHTML += "<option value=\"" + cat[i].ID + "\">" + cat[i].Name + "</option>";
            }
        }
        strHTML += "</select>";
        strHTML += "</div><div class=\"clr\">";
        strHTML += "</div></div><div class=\"i\">";
        //Lyric
        strHTML += "<div class=\"fl para\">Lời bài hát</div>";
        strHTML += "<div class=\"fl ip\"><textarea name=\"Lyric\" id=\"Lyric\" class=\"IPHL autoResize\" cols=\"55\" rows=\"2\">";
        strHTML += "</textarea></div><div class=\"clr\">";
        strHTML += "</div></div><div class=\"i\">";
        //Album
        strHTML += "<div class=\"fl para\">Album</div>";
        strHTML += "<div class=\"fl ip pllOption\">";
        strHTML += "<select name=\"AlbumID\" id=\"AlbumID\" ><option value=\"0\">Chọn album</option>";
        tmp = _listAlbum.replace(/&quot;/g, "\"");
        var al = eval(tmp);
        cnt = al.length;
        if (cnt > 0) {
            for (var i = 0; i < cnt; i++) {
                strHTML += "<option value=\"" + al[i].ID + "\">" + al[i].AlbumName + "</option>";
            }
        }
        strHTML += "</select></div><div class=\"fl newPlayLs pllOption\">";
        strHTML += "<a href=\"javascript:void(0)\" onclick=\"MusicUpload.ShowFormAddAlbum('#SIF_" + O.ID + "');\">Tạo Album mới</a></div>";
        strHTML += "<div class=\"clr\">";
        strHTML += "</div></div>";
        strHTML += "<div class=\"i\">";
        strHTML += "<input id=\"hddID\" name=\"hddID\" type=\"hidden\" value=\"" + O.ID + "\" />";
        strHTML += "<input id=\"hddUserID\" name=\"hddUserID\" type=\"hidden\" value=\"" + O.UserID + "\" />";
        strHTML += "<input id=\"hddSourceUrl\" name=\"hddSourceUrl\" type=\"hidden\" value=\"" + O.SourceUrl + "\" />";
        strHTML += "<input id=\"hddBitRate\" name=\"hddBitRate\" type=\"hidden\" value=\"" + O.BitRate + "\" />";
        strHTML += "<input id=\"hddFileSize\" name=\"hddFileSize\" type=\"hidden\" value=\"" + O.FileSize + "\" />";
        strHTML += "<input id=\"hddDuration\" name=\"hddDuration\" type=\"hidden\" value=\"" + O.Duration + "\" />";
        strHTML += "</div>";
        strHTML += "<div class=\"i send\">";
        strHTML += "<div class=\"fl para\">&nbsp;</div>";
        strHTML += "<div class=\"fl ip\"><a href=\"javascript:void(0)\" class=\"uiBtn shadow uiBtnConfirm\" onclick=\"MusicUpload.AddSong('#SIF_" + O.ID + "')\">Lưu lại</a>";
        strHTML += "<a class=\"uiBtn shadow\" href=\"javascript:void(0)\" onclick=\"MusicUpload.CancelAddSong('#SIF_" + O.ID + "')\">Hủy bỏ</a>";
        strHTML += "</div><div class=\"clr\">";
        strHTML += "</div></div></li>";
        $('#listSongUpload').append(strHTML);
        $('#SIF_' + O.ID).show('slow');
    },
    AddSong: function (O) {
        var SongName = $(O + ' input#SongName').val();
        var Singer = $(O + ' textarea#Singer').val();
        var Writer = $(O + ' textarea#Writer').val();
        var CategoryID = $(O + ' select#Category').val();
        if (CategoryID == "0") {
            TikAlert('Bạn chưa chọn thể loại nhạc!', 'Thông báo'); return false;
        }
        var CategoryName = $(O + ' select#Category option:selected').text();
        var Lyric = $(O + ' textarea#Lyric').val();
        var AlbumID = $(O + ' select#AlbumID').val();

        var ID = $(O + ' input#hddID').val();
        var UserID = $(O + ' input#hddUserID').val();
        var SourceUrl = $(O + ' input#hddSourceUrl').val();
        var BitRate = $(O + ' input#hddBitRate').val();
        var FileSize = $(O + ' input#hddFileSize').val();
        var Duration = $(O + ' input#hddDuration').val();

        var _data = {
            type: 'AddSong',
            ID: TikEncode(ID),
            SongName: TikEncode(SongName),
            Singer: TikEncode(Singer),
            Writer: TikEncode(Writer),
            CategoryID: TikEncode(CategoryID),
            CategoryName: TikEncode(CategoryName),
            Lyric: TikEncode(Lyric),
            AlbumID: TikEncode(AlbumID),
            UserID: TikEncode(UserID),
            SourceUrl: TikEncode(SourceUrl),
            BitRate: TikEncode(BitRate),
            FileSize: TikEncode(FileSize),
            Duration: TikEncode(Duration)
        };

        $.ajax({
            beforeSend: function () {
            },
            type: 'POST',
            dataType: 'text',
            url: "/Service/SongService.ashx",
            data: _data,
            success: function (text) {
                if (text == "1") {
                    var strHTML = "<div class=\"fl i\"><strong>Thông tin bài hát </strong>" + SongName + "</div>";
                    strHTML += "<div class=\"i\"><p><span style=\"color:#008080\"><b>Upload thành công, cám ơn bạn đã đóng góp dữ liệu cho mạng xã hội TIK.VN,<b></span></p><p> <a href=\"/" + _currentUName + "/Music/SongDetail/" + ID + "\">Nghe bài hát Upload</a></p></div>";
                    $(O).html('');
                    $(O).html(strHTML);
                }
                else {
                    TikAlert('Upload không thành công, vui lòng liên hệ với ban quản trị để biết thêm thông tin', 'Thông báo');
                }

            }
        });
    },
    CancelAddSong: function (O) {
        var ID = $(O + ' input#hddID').val();
        var _data = { type: 'CancelAddSong', ID: ID };
        $.ajax({
            beforeSend: function () {
            },
            type: 'POST',
            dataType: 'text',
            url: "/Service/SongService.ashx",
            data: _data,
            success: function (text) {
                if (text == "1") {
                    $(O).remove();
                }
                else {
                    TikAlert('Không thành công, vui lòng liên hệ với ban quản trị để biết thêm thông tin', 'Thông báo');
                }

            }
        });
    },
    ShowFormAddAlbum: function (O) {
        var divF = "<div id='divCreateAlbum'></div>";
        if ($('#divCreateAlbum').length > 0) {
            $('#divCreateAlbum').remove();
        }
        $('body').append(divF);
        $("#divCreateAlbum").attr('title', 'Tạo album mới');

        var strHTML = "<div class=\"profile_info_edit music\"><ul class=\"ul\">";
        strHTML += "<li class=\"item\">"; 
        //AlbumName
        strHTML += "<div class=\"i\"><div class=\"fl para\">Tên Album</div>";
        strHTML += "<div class=\"fl ip\"><input id=\"AlbumName\" type=\"text\" class=\"IPHL\" size=\"44\" value=\"\" />";
        strHTML += "</div><div class=\"clr\">";
        strHTML += "</div></div>";
        //Singer
        strHTML += "<div class=\"i\"><div class=\"fl para\">Ca sĩ thể hiện</div>";
        strHTML += "<div class=\"fl ip\"><textarea id=\"abSinger\" name=\"abSinger\" class=\"IPHL autoResize\" cols=\"53\" rows=\"2\">";
        strHTML += "</textarea></div><div class=\"clr\">";
        strHTML += "</div></div>";
        //Cat
        strHTML += "<div class=\"i\"><div class=\"fl para\">Thể loại</div>";
        strHTML += "<div class=\"fl ip\">";
        strHTML += "<select name=\"abCategory\" id=\"abCategory\"><option value=\"0\" selected=\"selected\">Chọn thể loại nhạc</option>";
        var tmp = _listCategory.replace(/&quot;/g, "\"");
        var cat = eval(tmp);
        var cnt = cat.length;
        if (cnt > 0) {
            for (var i = 0; i < cnt; i++) {
                strHTML += "<option value=\"" + cat[i].ID + "\">" + cat[i].Name + "</option>";
            }
        }
        strHTML += "</select>";
        strHTML += "</div><div class=\"clr\">";
        strHTML += "</div></div>";

        //Tag
        strHTML += "<div class=\"i\"><div class=\"fl para\">Ảnh đại diện</div>";
        strHTML += "<div class=\"fl ip\"><input type=\"file\" id=\"fileUploadImg\" name=\"fileUploadImg\" />";
        strHTML += "</div><div class=\"clr\">";
        strHTML += "</div></div>";

        //Desc
        strHTML += "<div class=\"i\"><div class=\"fl para\">Mô tả</div>";
        strHTML += "<div class=\"fl ip\"><textarea id=\"abDesc\" name=\"abDesc\" class=\"IPHL autoResize\" cols=\"53\" rows=\"2\">";
        strHTML += "</textarea></div><div class=\"clr\">";
        strHTML += "</div></div>";

        //Privacy
        strHTML += "<div class=\"i\"><div class=\"fl para\">Thiết lập quyền riêng tư</div>";
        strHTML += "<div class=\"fl ip\">";
        strHTML += "<select name=\"abPrivacy\" id=\"abPrivacy\">";
        strHTML += "<option value=\"1\">Tất cả mọi người</option>";
        strHTML += "<option selected=\"selected\" value=\"2\">Chỉ bạn bè</option>";
        strHTML += "<option value=\"3\">Chỉ mình tôi</option>";
        strHTML += "</select>";
        strHTML += "</div><div class=\"clr\">";
        strHTML += "</div></div>";
        //Tag
        //        strHTML += "<div class=\"i\"><div class=\"fl para\">Tag</div>";
        //        strHTML += "<div class=\"fl ip\"><input id=\"Tag\" type=\"text\" class=\"IPHL\" size=\"44\" value=\"\" />";
        //        strHTML += "</div><div class=\"clr\">";
        //        strHTML += "</div></div>";

        strHTML += "</li></ul></div>";
        $("#divCreateAlbum").append(strHTML);
        $("#divCreateAlbum").dialog({
            height: 'auto',
            width: '310px',
            modal: true,
            resizable: false,
            buttons: { "Tạo album": function () { MusicUpload.CreateAlbum(O, this); }, "Bỏ qua": function () { $(this).dialog('close'); return; } }
        });
        $("#divCreateAlbum").dialog('open');
        $("#fileUploadImg").uploadify({
            'uploader': '/Scripts/Uploadify/uploadify.swf',
            'script': '/Service/SongService.ashx',
            'cancelImg': '/Scripts/Uploadify/cancel.png',
            'buttonImg': '/Content/Music/upload.png',
            'fileExt': '*.jpg;*.gif;*.png;*.jpeg',
            'fileDesc': 'Images Files',
            'width': 57,
            'sizeLimit': 5242880, // 5MB
            'multi': false,
            'auto': false,
            'onComplete': function (event, ID, fileObj, response, data) {
                var retV = eval(response);
                switch (retV.retVal) {
                    case 1:
                        $("<option value=\'" + retV.Album.ID + "\'>" + retV.Album.AlbumName + "</option>").appendTo("li.item #AlbumID");
                        $("li" + O + ".item #AlbumID").val(retV.Album.ID);
                        _listAlbum = _listAlbum.substring(0, (_listAlbum.length - 1));
                        _listAlbum += ",{&quot;ID&quot;:&quot;" + retV.Album.ID + "&quot;,&quot;UserID&quot;:&quot;" + retV.Album.UserID + "&quot;,&quot;AlbumName&quot;:&quot;" + retV.Album.AlbumName + "&quot;,&quot;Singer&quot;:&quot;" + retV.Album.Singer + "&quot;,&quot;CategoryID&quot;:&quot;" + retV.Album.CategoryID + "&quot;,&quot;CategoryName&quot;:&quot;" + retV.Album.CategoryName + "&quot;,&quot;ImageURL&quot;:&quot;" + retV.Album.ImageURL + "&quot;,&quot;Description&quot;:&quot;" + retV.Album.Description + "&quot;,&quot;PrivacyType&quot;:" + retV.Album.PrivacyType + ",&quot;PrivacyPeopleShowHide&quot;:" + retV.Album.PrivacyPeopleShowHide + ",&quot;SongCount&quot;:" + retV.Album.SongCount + ",&quot;ViewCount&quot;:" + retV.Album.ViewCount + ",&quot;LikeCount&quot;:" + retV.Album.LikeCount + ",&quot;CommentCount&quot;:" + retV.Album.CommentCount + ",&quot;CreatedDate&quot;:&quot;\/Date(" + retV.Album.CreatedDate + ")\/&quot;,&quot;ModifiedDate&quot;:&quot;\/Date(" + retV.Album.ModifiedDate + ")\/&quot;}";
                        _listAlbum += "]";
                        $("#divCreateAlbum").dialog('close');
                        break;
                    default:
                        TikAlert('Không thành công bạn vui lòng thử lại', 'Thông báo');
                        break;
                }
            },
            'onAllComplete': function (event, data) {
                //alert(data.filesUploaded + ' files uploaded successfully!');
            }
        });
    },
    CreateAlbum: function (O, W) {
        var abName = $('#AlbumName').val();
        var singer = $('#abSinger').val();
        var catID = $('#abCategory').val();
        var catName = $('#abCategory option:selected').text();
        var desc = $('#abDesc').val();
        var privacy = $('#abPrivacy').val();
        if (abName == "") {
            TikAlert('Bạn chưa nhập tên Album!', 'Thông báo'); return false;
        }
        if (catID == "0") {
            TikAlert('Bạn chưa chọn thể loại!', 'Thông báo'); return false;
        }
        var _album = { abName: TikEncode(abName), singer: TikEncode(singer), catID: TikEncode(catID), catName: TikEncode(catName), desc: TikEncode(desc), privacy: privacy, type: 'CreateAlbum', ASPSESSID: ASPSESSID, AUTHID: auth };

        var fileImg = $('#fileUploadImgQueue').html();
        if (fileImg != '') {
            $("#fileUploadImg").uploadifySettings('scriptData', _album);
            $("#fileUploadImg").uploadifyUpload();
        } else {
            $.ajax({
                beforeSend: function () {
                },
                type: 'POST',
                dataType: 'text',
                url: "/Service/SongService.ashx",
                data: _album,
                success: function (response) {
                    var retV = eval(response);
                    switch (retV.retVal) {
                        case 1:
                            $("<option value=\'" + retV.Album.ID + "\'>" + retV.Album.AlbumName + "</option>").appendTo("li.item #AlbumID");
                            $("li" + O + ".item #AlbumID").val(retV.Album.ID);
                            _listAlbum = _listAlbum.substring(0, (_listAlbum.length - 1));
                            _listAlbum += ",{&quot;ID&quot;:&quot;" + retV.Album.ID + "&quot;,&quot;UserID&quot;:&quot;" + retV.Album.UserID + "&quot;,&quot;AlbumName&quot;:&quot;" + retV.Album.AlbumName + "&quot;,&quot;Singer&quot;:&quot;" + retV.Album.Singer + "&quot;,&quot;CategoryID&quot;:&quot;" + retV.Album.CategoryID + "&quot;,&quot;CategoryName&quot;:&quot;" + retV.Album.CategoryName + "&quot;,&quot;ImageURL&quot;:&quot;" + retV.Album.ImageURL + "&quot;,&quot;Description&quot;:&quot;" + retV.Album.Description + "&quot;,&quot;PrivacyType&quot;:" + retV.Album.PrivacyType + ",&quot;PrivacyPeopleShowHide&quot;:" + retV.Album.PrivacyPeopleShowHide + ",&quot;SongCount&quot;:" + retV.Album.SongCount + ",&quot;ViewCount&quot;:" + retV.Album.ViewCount + ",&quot;LikeCount&quot;:" + retV.Album.LikeCount + ",&quot;CommentCount&quot;:" + retV.Album.CommentCount + ",&quot;CreatedDate&quot;:&quot;\/Date(" + retV.Album.CreatedDate + ")\/&quot;,&quot;ModifiedDate&quot;:&quot;\/Date(" + retV.Album.ModifiedDate + ")\/&quot;}";
                            _listAlbum += "]";
                            $(W).dialog('close');
                            break;
                        case -1:
                            TikAlert('Bạn không có quền tạo album do chưa đăng nhập', 'Thông báo');
                            break;
                        default:
                            TikAlert('Không thành công bạn vui lòng thử lại', 'Thông báo');
                            break;
                    }
                }
            });
        }
    }
}