var urlOwner = domain + '/' + objOwner.url ;
var isHide = 1;
var isExit = false;
var blogobject	= {
    blogid:0,
    loadvisitblog:function(){
        if ( blogobject.blogid > 0 ) {
            $.ajax({
                type:'POST',
                url:urlOwner+'/blog/ajax/visit',
                data:({
                    blogid:blogobject.blogid
                }),
                dataType:'json',
                success:function(response){
                    if ( response.error == 0 ) {
                        if ( response.total > 0 ) {
                            Lightbox.showerror('Thành viên xem bài viết', response.html, 'Đóng');
                        } else {
                            Lightbox.showerror('Thành viên xem bài viết', 'Chưa có thành viên vào xem bài viết này', 'Đóng');
                        }
                    } 
                }
            });
        }
    },
    setsubmitform:function(kind){
        if ( $("#f_upload_ajax_id").val() != '' ) {
            $('.loading').html("&nbsp;&nbsp;<img src='"+loading+"'/>");
            $("#hcasesubmit").val(1);
            $("#btnuploadajax").attr('disabled', 'disabled');
            $("#compose_blog").submit();            
        } else {
            $("#hcasesubmit").val(0);
            $('.drafBlog').html('<div id="inform-main" style="color:#f00">Vui lòng chọn file ảnh từ máy tính của bạn để thêm vào bài viết.</div>');
            $("#f_upload_ajax_id").focus();
            $("#btnuploadajax").removeAttr('disabled');
            return false;
        }
    },
    listCommentBlog:function(string, privacy) {
        var arr = string.split(',');
        var i;
        var arr_length = arr.length;
        var total   = 0;
        var html    = '';
        var $parent = '';
        privacy     = (typeof(privacy)=='undefined')?'':privacy;
        
        $.ajax({
            type:'GET',
            url:domain+'/'+objOwner.url+'/blog/ajax/listcommentblog',
            data:({
                id:objOwner.userid,
                list:string,
                privacy:privacy
                }),
            dataType:'json',
            success:function(response) {
                if ( response.error == 0 ) {
                    for(i=0; i<arr_length; i++)
                    {
                        html    = response[arr[i]].html;
                        total   = response[arr[i]].total;
                        $parent = $("#comment-list-"+arr[i]);
                        if ( total>0 && html!='' && $parent[0]!=undefined ) {
                            $parent.replaceWith(html);
                            if ( total > 2 ) {
                                $("#total_comment_number_"+arr[i]).text(total);
                                $("#total-comment-list-"+arr[i]).show();
                            }
                        }
                    }                    
                }
            }
        });
    },
    listLikeBlog:function(string) {
        var arr         = string.split(',');
        var i;
        var arr_length  = arr.length;
        var html        = '';
        var me          = false;

        $.ajax({
            type:'GET',
            url:domain+'/'+objOwner.url+'/blog/ajax/listlikeblog',
            data:({
                id:objOwner.userid,
                list:string
                }),
            dataType:'json',
            success:function(response) {
                if ( response.error == 0 ) {
                    for(i=0; i<arr_length; i++)
                    {
                        html    = response[arr[i]].html;
                        me      = response[arr[i]].me;
                        if ( html != '' ) {
                            $("#"+arr[i]).html(html);
                            $("#like_container_"+arr[i]).show();
                        }
                        if ( me ){
                            $("#"+arr[i]+"_like").text('Hết thích');
                        } else {
                            $("#"+arr[i]+"_like").text('Thích');
                        }
                    }
                }
            }
        });
    }
}

function likeToggle(obj,commentid)
{
    var $this   = $(obj);
    if ($this.attr('id')) {
        postid = $this.attr('id').replace('_like', '');
    }
    var work = $.trim($this.text());
    if ( work == 'Thích') {
        addlike(postid, commentid);
        $this.text('Hết thích');
        if (typeof(commentid) != 'undefined') {
            var $commentLike    = $("#comment_like_number_" + commentid);
            var total_like      = parseInt($commentLike.text());
            total_like += 1;
            $commentLike.text(total_like);
            if (total_like == 0){
                $("#comment_like_" + commentid).hide();
            } else {
                $("#comment_like_" + commentid).show();
            }
        }
    } else {
        removelike(postid,  commentid);
        $this.text('Thích');
        if (typeof(commentid) != 'undefined') {
            var $commentLike    = $("#comment_like_number_" + commentid);
            var total_like      = parseInt($commentLike.text());
            total_like -= 1;
            $commentLike.text(total_like);
            if (total_like == 0){
                $("#comment_like_" + commentid).hide();
            } else {
                $("#comment_like_" + commentid).show();
            }
        }
    }
}

function addlike(postid, commentid){
    $.ajax({
        type:'POST',
        url: urlOwner + '/blog/ajax/addlike',
        data:({
            postid: postid,
            commentid: typeof(commentid) != 'undefined' ? commentid : 0
        }),
        dataType:'json',
        success:function(){
            loadlike(postid);
        }
    });    
}

function removelike(postid, commentid){
    $.ajax({
        type:'POST',
        url: urlOwner + '/blog/ajax/removelike',
        data:({
            postid: postid,
            commentid: typeof(commentid) != 'undefined' ? commentid : 0
        }),
        dataType:'json',
        success:function(){
            loadlike(postid);
        }
    });
}

function loadlike(postid){
    postid  = parseInt(postid);
    $.ajax({
        type:'GET',
        url: urlOwner + '/blog/ajax/loadlike',
        data:({
            postid:postid
        }),
        dataType:'json',
        success:function(response){
            if (response != null && response.html != '') {
                $("#" + postid).html(response.html);
                $("#like_container_" + postid).show();
                if (response.me){
                    $("#" + postid + "_like").text('Hết thích');
                } else {
                    $("#" + postid + "_like").text('Thích');
                }
            } else {
                $("#like_container_" + postid).hide();
            }
        }
    });
}

function loadComment(postid){
    var privacy = 3;
    var $parent = $("#privacycheck");
    if ( $parent[0] != undefined ) {
        privacy = $parent.val();
    }
    
    $.ajax({
        type:'POST',
        url: urlOwner + '/blog/ajax/loadcomment',
        data:({
            postid:postid,
            privacy:privacy
        }),
        dataType:'json',
        success:function(response){
            if (response.total > 10) {
                $("#total_comment_number").text(response.total);
            }
            $("#comment_container").html(response.html);
        }
    });
}

function showComment(){
    $(".block_comment").each(function(){
        var $this   = $(this);
        if($this.is(":hidden")){
            $this.slideDown(200);
        }        
    });
}

/**
 * @modify nhuantp@fpt.net
 * @since 2010/10/27 17:45:30
 */
function removeComment(commentid, blogid)
{
    $.ajax({
        type:'POST',
        url: urlOwner + '/blog/ajax/removecomment',
        data:({
            commentid: commentid
        }),
        dataType:'json',
        success:function(response){
            Lightbox.hide();
            var $total_comment_number = $("#total_comment_number_" + blogid);
            if ( typeof(blogid) == 'undefined' && $total_comment_number[0] == undefined ) {
                $("#divelementcomment_"+commentid).fadeOut('slow', function(){
                    $(this).remove();
                });

                var $commentNumber  = $("#total_comment_number");
                var total_comment   = parseInt($commentNumber.text());
                total_comment -= 1;
                $commentNumber.text(total_comment);
            } else {
                /*Fade out and remove current comment*/
                var $elementComment = $("#divelementcomment_"+commentid);
                if ( $elementComment[0] != undefined ) {
                    $elementComment.fadeOut('slow', function(){
                        $elementComment.remove();
                    });
                }/*end if*/
        		
                /*Fade in older comment*/
                var $blogEntry  = $("#blog_entry_"+blogid);
                var $blogLast   = $blogEntry.find('div[value="'+blogid+'"]:last');
                if ( $blogLast[0] != undefined ) {
                    $blogLast.fadeIn('slow', function(){
                        $blogLast.removeAttr('value');
                    });
                }/*end if*/
        		
                /*number comment*/
                var tmp	= parseInt($total_comment_number.html());
                tmp	-= 1;
                tmp	= tmp > 0?tmp:0;
                if ( tmp > 2 ) {
                    $total_comment_number.html(tmp);
                } else {
                    $total_comment_number.remove();
                }/*end if*/
            }/*end if*/
        }
    });
}

function getCommentLikeList(commentid, obj){
    var $this   = $(obj);
    var blogidlike	= 0;
    if ( typeof(postid) == 'undefined' ) {
        if ( $this.attr('blogentry') ) {
            blogidlike	= $this.attr('blogentry');
        } else {
            return false;
        }/*end if*/
    } else {
        blogidlike	= postid;
    }/*end if*/
	
    $.ajax({
        type:'POST',
        url: urlOwner + '/blog/ajax/getcommentlikelist',
        data:({
            postid: blogidlike,
            commentid: commentid
        }),
        success:function(response){            
            Lightbox.showerror('Dánh sách yêu thích', response, 'Đóng lại');
        }
    });
}

function getBlogLikeList(postid){
    $.ajax({
        type:'POST',
        url: urlOwner+ '/blog/ajax/getbloglikelist',
        data:({
            postid: postid
        }),
        success:function(response){
            Lightbox.showerror('Dánh sách yêu thích', response, 'Đóng lại');
        }
    });
}

function deleteBlog(blogid){
    $.ajax({
        type:'POST',
        url: urlOwner + '/blog/delete/' + blogid,
        success:function(response){
            $("#blog_entry_" + blogid).slideUp(500);
        }
    });
}

$(document).ready(function() {
    var $imgIntro   = $('.img_intro');
    if($imgIntro.attr('width') > 500){
        $imgIntro.attr('width','500');
    }
});

function removeFriendTag(userid) {
    var $suggestFriend  = $("#suggest_friend");
    var value   = $suggestFriend.val();
    value       = value.replace(userid + ',', '');
    $suggestFriend.val(value);
    $("span#" + userid).remove();
    Lightbox.hide();
}

function checkFileUpload(){   
    try{
        var file_upload = $("input[name=upload]#file_upload");
        var imgpath = document.getElementById('file_upload').value;
        if(imgpath != "") {
            var arr1 = new Array;
            arr1 = imgpath.split("\\");
            var len = arr1.length;
            var img1 = arr1[len-1];
            var filext = img1.substring(img1.lastIndexOf(".")+1);
            filext = filext.toLowerCase();
            if(filext == "jpg" || filext == "jpeg" || filext == "gif" || filext == "png"){}
            else{
                $('.drafBlog').html('<div id="inform-main" style="color:#f00">Định dạng ảnh minh hoạ không đúng! Hệ thống chỉ hỗ trợ (*.jpg, *.png, *.jpeg, *.gif)</div>');
                return false;  
            }
        }      

        if (typeof(file_upload[0]) != 'undefined') {
            file_upload = file_upload[0];        
            if (typeof(file_upload.files) != 'undefined' && typeof(file_upload.files[0]) != 'undefined') {                
                var fileSize = $(file_upload.files[0].size)[0];                               
                if (fileSize > 5242880) {
                    $(file_upload).val('');
                    $('.drafBlog').html('<div id="inform-main" style="color:#f00">Ảnh minh hoạ không được quá 5MB.</div>');
                    return false;    
                }
            }                                     
            return true;
        } else {            
            return true;
        }
    } catch(e) {}       
}

function deleteTag(userid){
    Lightbox.showConfirm('Thông báo','Bạn muốn bỏ đánh dấu trong bài viết này?','confirmDeleteTag('+userid+')');
}

function confirmDeleteTag(userid)
{
    var $suggestFriend  = $('#suggest_friend_left');
    $.ajax({
        type: "POST",
        url: urlOwner +"/blog/view/deletetags",
        data: {
            tags:$suggestFriend.val(),
            isHide: isHide,
            entryId: entryId,
            userid:userid
        },
        success: function(msg){
            $('.deletetag').html('');
            msg = jQuery.parseJSON(msg);
            $('.albumdiv .photo-list-02').html(msg.list);
            $suggestFriend.val(msg.tags);
            Lightbox.hide();
            FPT_widget_mix(
                function(){ioneTooltip();}
            );
        }
    });
}

function showTip(obj){
    $(obj).find('.tip').css('display', 'block');
}
function hideTip(obj){
    $(obj).find('.tip').css('display', 'none');
}
function updateTags(){
    var $suggestFriend  = $('#suggest_friend_left');
    $('.loading').html("&nbsp;&nbsp;<img src='"+loading+"'/>");    
    $.ajax({
        type: "POST",
        url: urlOwner +"/blog/view/updatetags",
        data: {
            tags:$suggestFriend.val(),
            isHide: isHide,
            entryId: entryId
        },
        success: function(msg){
            $(".token-input-list-facebook .token-input-token-facebook").remove();
            msg = jQuery.parseJSON(msg);
            $('.albumdiv .photo-list-02').html(msg.list);
            $('.deletetag').html(msg.delete_user);
            $suggestFriend.val(msg.tags);
            $('.loading').html('');
            FPT_widget_mix(
                function(){ioneTooltip();}
            );
        }
    });
}
function goToByScroll(id){
    $('html,body').animate({
        scrollTop: $("#"+id).offset().top
    },'slow');
}

function viewMore(){
    $('.viewMoreTitle').hide();
    $('.viewMore').show();
}
function viewMoreTag(){
    isHide = 0;
    $('.viewMoreTagTitle').hide();
    $('.viewMoreTag').show();
}

/***************compose blog*******************/
var timeSave = 0;
function saveDraf() {    
    var currentTime         = new Date();
    var $composeBlogDraft   = $('#compose_blog');
    $composeBlogDraft.attr('action', urlOwner + "/blog/save");
    enableForm();
    $composeBlogDraft.ajaxSubmit({
        success: function(entryId){
            var matches = entryId.match(/<body>.*<\/body>/gi);
            entryId = matches[0];
            entryId = entryId.replace('<head>','');
            entryId = entryId.replace('</head>','');
            entryId = entryId.replace('<body>','');
            entryId = entryId.replace('</body>','');
            entryId = entryId.replace('<HEAD>','');
            entryId = entryId.replace('</HEAD>','');
            entryId = entryId.replace('<BODY>','');
            entryId = entryId.replace('</BODY>','');
            entryId = $.parseJSON(entryId);
            if(entryId.error){
                /**TODO**/
            }else{                
                $('#filename').val(entryId.filename);
                $('#entryId').val(entryId.response);                
                timeSave = 0;
                $('.drafBlog').html('<div id="inform-main">Bài viết đã được lưu nháp lúc '+ currentTime.getHours()+'h'+currentTime.getMinutes()+'</div>');                
                beforeBlog.title = $.trim($('#titleBlog').val());
                beforeBlog.category = $.trim($('#categoryId').val());
                beforeBlog.tag = $.trim($('#suggest_friend').val());
                beforeBlog.privacy = $.trim($('#privacyBlog').val());
                beforeBlog.len = $.trim(stripBlogHTML(CKEDITOR.instances["ck_content"].getData())).length;
            }
        }
    });
}

function getTimeSave(){
    timeSave+=1;
    $('.drafBlog span').html(timeSave);
    setTimeout("getTimeSave()",60000);
}

var submitable = true;
function disableForm(){
    $("#compose_blog input#form_submit").attr('disabled', true);
    submitable = false;
}

function enableForm(){
    $("#compose_blog input#form_submit").attr('disabled', false);
    submitable = true;
}

function albumBlog(albumId, albumName){
    $.ajax({
        type: "POST",
        url: urlOwner + "/blog/compose/getphoto",
        data: {
            albumid:albumId,
            albumname: albumName
        },
        success: function(response){
            $('.blog-list-photo').html(response);
        }
    });
}

$(document).ready(function() {
    var $composeBlog    = $('#compose_blog');
    $composeBlog.submit(function() {
        $composeBlog.attr('action',urlOwner+ "/blog/compose");
        if (!submitable) return false;
        disableForm();
        $(this).ajaxSubmit({
            beforeSubmit:function(){                
                if (checkFileUpload()) {
                    disableForm();
                    return true;
                } else {
                    enableForm();
                    return false;
                }
            },
            success: function(response, status, xhr, $form) {                
                response = response.replace('<head>','');
                response = response.replace('</head>','');
                response = response.replace('<body>','');
                response = response.replace('</body>','');
                response = response.replace('<HEAD>','');
                response = response.replace('</HEAD>','');
                response = response.replace('<BODY>','');
                response = response.replace('</BODY>','');
                response = $.parseJSON(response);
                $('.loading').html("");
                if ( !response.error ) {
                    if ( response.casesubmit == 1 ) {
                        inserHtml(response.urlimage);
                        $("#hcasesubmit").val(0);
                        $("#f_upload_ajax_id").fadeOut('fast', function(){
                            $(this).parent().html('<input type="file" name="f_upload_ajax_name" id="f_upload_ajax_id" />');
                        });
                        $("#btnuploadajax").removeAttr('disabled');                                             
                        albumBlog(response.albumblog, 'Album blog của tôi');                       
                    } else {
                        window.location.href = response.response;
                    }
                } else {
                    if ( response.casesubmit == 1 ) {
                        $("#hcasesubmit").val(0);
                        $("#btnuploadajax").removeAttr('disabled');
                        $('.drafBlog').html('<div id="inform-main" style="color:#f00">'+response.message+'</div>');
                    } else {
                        if (response.response.length > 0) {
                            var html = '';
                            for (var i=0; i< response.response.length; i++) {
                                html += response.response[i] + "<br/>";
                            }
                            $('.drafBlog').html('<div id="inform-main" style="color:#f00">'+html+'</div>');
                        }
                    }                    
                }
                enableForm();               
            }
        });
        return false;
    });
    $('.cke_show_borders').keypress(function(){
    });
});

function deleteImg(){
    Lightbox.hide();
    $('li#has-photo').hide();
    $('li#no-photo').show();
    $('#deleteImage').val(1);
}

function stripBlogHTML(oldString) {
    var newString = "";
    var inTag = false;
    for(var i = 0; i < oldString.length; i++) {
        if(oldString.charAt(i) == '<') inTag = true;
        if(oldString.charAt(i) == '>') {
            if(oldString.charAt(i+1)=="<"){}
            else{
                inTag = false;
                i++;
            }
        }
        if(!inTag) newString += oldString.charAt(i);
    }
    return newString;
}