﻿function CreateAlbum() {
    var abName = $('#facebox #txtalbumname').val();
    var abLocation = $('#facebox #txtAreaAlbum').val();
    var abDes = $('#facebox #txtdescription').val();
    var abPrivacy = $('#facebox #slprivacyalbum').val();
    var _album = { abName: abName, abLocation: abLocation, abDes: abDes, abPrivacy: abPrivacy };
    $('#loading').show();

    $.ajax({
        beforeSend: function () {
        },
        type: 'POST',
        dataType: 'text',
        url: "/Photo/CreateAlbum",
        data: JSON.stringify(_album),
        contentType: "application/json; charset=utf-8",
        success: function (text) {
            if (text != "") {
                $("<option value=\'" + text + "\' selected=\'selected\'>" + abName + "</option>").appendTo("#cbo_album");
                $('#loading').hide();
                $.facebox.close();
                CheckShowFlashUpload();
            }
            else {
                alert('Chưa tạo được album, hãy thử lại hoặc, liên hệ với ban quản trị để biết thêm thông tin!');
            }
        }
    });
}

$(function () {
    $("#divshowflash").plupload({
        runtimes: 'gears,html5,flash,silverlight,browserplus',
        //browse_button: 'pickfiles',
        max_file_size: '10mb',
        //chunk_size: '1mb',
        max_file_count: 25,
        url: '/Photo/ActionUploadPhotoAlbum',
        flash_swf_url: '../../../../Scripts/Photo/plupload/js/plupload.flash.swf',
        silverlight_xap_url: '../../../../Scripts/Photo/plupload/js/plupload.silverlight.xap',
        multipart_params: { albumId: $('#cbo_album').val(), isFirst: $('#hddIsFirst').val(), isLatest: $('#hddIsLatest').val() },
        filters: [
		                { title: "Image files", extensions: "jpg,gif,png,jpeg" }
		            ],
        preinit: {
            Init: function (up, info) {
                //		                log('[Init]', 'Info:', info, 'Features:', up.features);
            },

            UploadFile: function (up, file) {
                //log('[UploadFile]', file);

                // You can override settings before the file is uploaded
                // up.settings.url = 'upload.php?id=' + file.id;
                // up.settings.multipart_params = {param1 : 'value1', param2 : 'value2'};
            }
        },

        // Post init events, bound after the internal events
        init: {
            BeforeUpload: function (up, file) {
                up.settings.multipart_params.albumId = $('#cbo_album').val();
                up.settings.multipart_params.isFirst = $('#hddIsFirst').val();
                if (up.files.length == 1) up.settings.multipart_params.isLatest = 1;
                else up.settings.multipart_params.isLatest = $('#hddIsLatest').val();
            },

            Refresh: function (up) {
                // Called when upload shim is moved
                //		                log('[Refresh]');

            },

            StateChanged: function (up) {
                // Called when the state of the queue is changed
                //		                log('[StateChanged]', up.state == plupload.STARTED ? "STARTED" : "STOPPED");

            },

            QueueChanged: function (up) {
                // Called when the files in queue are changed by adding/removing files
                //		                log('[QueueChanged]');

            },

            UploadProgress: function (up, file) {
                // Called while a file is being uploaded
                //		                log('[UploadProgress]', 'File:', file, "Total:", up.total);                
            },

            FilesAdded: function (up, files) {

            },

            FilesRemoved: function (up, files) {
                // Called when files where removed from queue
                //		                log('[FilesRemoved]');

                //		                plupload.each(files, function(file) {
                //		                    log('  File:', file);
                //		                });
            },

            FileUploaded: function (up, file, info) {
                // Called when a file has finished uploading
                //		                log('[FileUploaded] File:', file, "Info:", info);
                if (up.total.uploaded == 1) {
                    $('#hddIsFirst').val('0');
                }
                if (up.total.uploaded == (parseInt(up.files.length) - 1)) {
                    $('#hddIsLatest').val(parseInt(up.files.length));
                }
                if (up.total.uploaded == up.files.length) {
                    //var obj = eval(info);
                    //alert(obj.response);
                    alert('Tải ảnh thành công');
                    while (up.files.length > 0) {
                        up.removeFile(up.files[0]);
                    }
                    $('#hddIsLatest').val('0');
                }
            },

            ChunkUploaded: function (up, file, info) {
                // Called when a file chunk has finished uploading
                //log('[ChunkUploaded] File:', file, "Info:", info);
                //alert('Thành công');
            },

            Error: function (up, args) {
                // Called when a error has occured
                //log('[error] ', args);
            }
        }
    });
    // Client side form validation
    $('form').submit(function (e) {
        var uploader = $('#divshowflash').plupload('getUploader');
        // Validate number of uploaded files
        if (uploader.total.uploaded == 0) {
            // Files in queue upload them first
            if (uploader.files.length > 0) {
                //                if (uploader.files.length > 25) {
                //                    alert('Bạn chỉ có thể up tối đa 25 file 1 lần!');
                //                    //                    while (up.files.length > 25) {
                //                    //                        up.removeFile(up.files[25]);
                //                    //                    }
                //                }
                uploader.start();
            } else
                alert('Bạn chưa chọn file nào để tải ảnh');
            e.preventDefault();
        }
    });
    CheckShowFlashUpload();
});

function CheckShowFlashUpload() {
    var albumSelected = $('#cbo_album').val();
    if (albumSelected != "0") {
        $("#divshowflash").show();
        $('#hddIsFirst').val('1');
    }
    else {
        $("#divshowflash").hide();
    }
}

//function ShowFormAddAlbum() {
//    var divF = "<div id='divCreateAlbum'  style='background-color:#FFFFFF;padding-top:10px'></div>";
//    if ($('#divCreateAlbum').length > 0) {
//        $('#divCreateAlbum').remove();
//    }
//    $('body').append(divF);

//    $("#divCreateAlbum").css('display', 'block');
//    $("#divCreateAlbum").attr('title', '<span style="color:#fff">Tạo Album mới</span>');

//    var sb = $('#divCreateAlbum');
//    sb.append("<div class=\"div-form\">");
//    sb.append("<ul class=\"photo-form01\">");
//    sb.append("<li><span>Tên album:</span>");
//    sb.append("<span style=\"color:red; display:block\" id=\"idErrorNameAlbum\">");
//    sb.append("</span><input type=\"text\"maxlength=\"200\" class=\"general-03 w280\" id=\"txtalbumname\" name=\"txtalbumname\">");
//    sb.append("</li><li><span>Địa điểm:</span>");
//    sb.append("<span style=\"color:red; display:block\" id=\"idErrorAreaAlbum\">");
//    sb.append("</span><input type=\"text\" maxlength=\"100\" class=\"general-03 w280\" id=\"txtAreaAlbum\" name=\"txtAreaAlbum\">");
//    sb.append("</li><li><span>Mô tả:</span>");
//    sb.append("<span style=\"color:red; display:block\" id=\"idErrorDescAlbum\">");
//    sb.append("</span><textarea maxlength=\"1000\" class=\"general-03 w280 h100\" rows=\"0\" cols=\"0\" id=\"txtdescription\" name=\"txtdescription\">");
//    sb.append("</textarea></li>");
//    sb.append("<li><span>Thiết lập quyền riêng tư:</span>");
//    sb.append("<span style=\"color:red; display:block\" id=\"idErrorPrivacyAlbum\">");
//    sb.append("</span>");

//    var slPrivacy = "";
//    slPrivacy += "<select class=\"general-02\" id=\"slprivacyalbum\" name=\"slprivacyalbum\">";
//    slPrivacy += "<option value=\"1\">Tất cả mọi người</option>";
//    slPrivacy += "<option selected=\"selected\" value=\"2\">Chỉ bạn bè</option>";
//    slPrivacy += "<option value=\"3\">Chỉ mình tôi</option>";
//    slPrivacy += "</select>";

//    sb.append(slPrivacy);
//    sb.append("</li></ul><br>");
//    sb.append("</div>");

//    $("#divCreateAlbum").dialog({
//        bgiframe: true,
//        height: 'auto',
//        width: '316px',
//        modal: false,
//        resizable: false,
//        buttons: { "Bỏ qua": function () { $(this).dialog('close'); return; }, "Tạo Album": function () { CreateAlbum(this);} }
//    });
//    $("#divCreateAlbum").dialog('open');
//}








$(document).ready(function () {
    $('#anticlockwise').live('click', function () {
        var imageid1 = 'myphoto';
        var direction1 = 'anticlockwise';
        var angle1 = $('#currentAngle').val();
        updateAngle(imageid1, direction1, angle1);
    });
    $('#clockwise').live('click', function () {
        var imageid2 = 'myphoto';
        var direction2 = '';
        var angle2 = $('#currentAngle').val();
        updateAngle(imageid2, direction2, angle2);
    });
});
$('#currentAngle').val(0);
function updateAngle(image, direction, currentAngle) {
    var rotateAngle = 0;
    switch (direction) {
        case 'anticlockwise':
            if (currentAngle == 0) { rotateAngle = -90; }
            else { rotateAngle = parseInt(currentAngle) - 90; }
            break;
        default:
            if (currentAngle == 0) { rotateAngle = 90; }
            else { rotateAngle = parseInt(currentAngle) + 90; }
    }
    /*//khong view =js
    $('#'+image).rotateAnimation({
    animateAngle:rotateAngle
    });*/
    $('#currentAngle').val(rotateAngle); /* sets currentAngle value*/
    $.ajax({
        type: "POST",
        url: "<?=$this->urlPhoto($this->owner->url, 'index', 'saverotateajax')?>",
        data: "img=<?=$this->arrPhotoInfos['FileName']?>&AlbumID=<?=$this->arrPhotoInfos['AlbumID']?>&PhotoID=<?=$this->arrPhotoInfos['PhotoID']?>&angle=" + rotateAngle,
        success: function () {
            window.location.reload();
        }
    });
}





//@*<input id="btnCreate" name="btnCreate" onclick="CreateAlbum()" type="button" value="Tạo album"
//    style="display: none" />
//<div class="div-form" style="display: none" id="divCreateAlbum">
//    <ul class="photo-form01">
//        <li><span>Tên album:</span></li><input type="text" name="txtalbumname" id="txtalbumname"
//            class="general-03 w280" maxlength="200" />
//        <li><span>Địa điểm:</span></li><input type="text" name="txtAreaAlbum" id="txtAreaAlbum"
//            class="general-03 w280" maxlength="100" />
//        <li><span>Mô tả:</span></li><textarea name="txtdescription" id="txtdescription" cols="0"
//            rows="0" class="general-03 w280 h100" maxlength="1000"></textarea>
//        <li><span>Thiết lập quyền riêng tư:</span></li>
//        <select name="slprivacyalbum" id="slprivacyalbum" class="general-02">
//            <option value="0">Tất cả mọi người</option>
//            <option value="1" selected="selected">Chỉ bạn bè</option>
//            <option value="2">Chỉ mình tôi</option>
//        </select>
//    </ul>
//</div>*@