﻿var result = 0;
var no = 1;
var keyword = '';
var pos_start = -1;
var browser = '';
var timeout;
var url_tag = '/Ajax/User/TagFriend';
var blastid = '';
var displayid = '';
var MAXTAG = 5;

(function (jQuery) {
    jQuery.fn.clickoutside = function (callback) {
        var outside = 1, self = $(this);
        self.cb = callback;
        this.click(function () {
            outside = 0;
        });
        $(document).click(function (event) {
            if (event.button == 0) {
                outside && self.cb();
                outside = 1;
            }
        });
        return $(this);
    }
})(jQuery);

$(window).bind('load', function () {
    $('div.watermarkComment').autoResize({
        extraSpace: 0,
        animateDuration: 0,
        focusAddClass: 'bor'
    });
    $('div.watermarkStream').autoResize({
        extraSpace: 0,
        animateDuration: 0,
        focusAddClass: 'bor'
    });
});

function removeBRend(valueString) {
    valueString = valueString.trim();
    if (/<br[^>]*>$/.test(valueString)) {
        valueString = valueString.replace(/<br[^>]*>$/, '')
    }
    return valueString;
}


$(function () {
    if (new RegExp("Firefox").test(navigator.userAgent)) browser = 'FF';
    else if (new RegExp("Safari").test(navigator.userAgent)) browser = 'SA';
    else if (new RegExp("Opera").test(navigator.userAgent)) browser = 'OP';
    else if (new RegExp("MSIE 6").test(navigator.userAgent)) browser = 'IE6';
    else if (new RegExp("MSIE 7").test(navigator.userAgent)) browser = 'IE7';
    else if (new RegExp("MSIE 8").test(navigator.userAgent)) browser = 'IE8';
    else if (new RegExp("MSIE").test(navigator.userAgent)) browser = 'IE';

    var defaultColor;
    var color = '#000000';


    $('div.watermarkStream').live('focus', function () {
        defaultColor = $(this).css('color');
        $(this).css('color', color);
        var this_title = $(this).attr('title');
        if (removeBRend($(this).html()) == this_title) {
            $(this).html('');
        };
        $(this).next().next('.divUiButton').show();
    });

    $('div.watermarkStream').live('blur', function () {
        $(this).css('color', defaultColor);
        var this_title = $(this).attr('title');
        if (removeBRend($(this).html()) == '') {
            $(this).html(this_title);
            $(this).next().next('.divUiButton').hide();
        }
    });

    $('div.watermarkStream').live('keypress', function (event) {
        var sel, range, br, addedBr = false;
        event = event || window.event;
        var charCode = event.which || event.keyCode;
        if (charCode == 13) {
            if (result > 0) {
                $("#tagfriend_" + no).click();
                event.preventDefault();
            } else {
                if (typeof window.getSelection != "undefined") {
                    sel = window.getSelection();
                    if (sel.getRangeAt && sel.rangeCount) {
                        range = sel.getRangeAt(0);
                        range.deleteContents();
                        br = document.createElement("br");
                        range.insertNode(br);
                        range.setEndAfter(br);
                        range.setStartAfter(br);
                        sel.removeAllRanges();
                        sel.addRange(range);
                        addedBr = true;
                    }
                } else if (typeof document.selection != "undefined") {
                    sel = document.selection;
                    if (sel.createRange) {
                        range = sel.createRange();
                        range.pasteHTML("<br>");
                        range.select();
                        addedBr = true;
                    }
                }
                if (addedBr) {
                    if (typeof event.preventDefault != "undefined") {
                        event.preventDefault();
                    } else {
                        event.returnValue = false;
                    }
                }
            }
        }
    });

    $('div.watermarkStream').live('keyup', function (event) {
        blastid = '#' + $(this).attr('id');
        displayid = '#' + $(this).next('.displayTags').attr('id');
        $('#stream-content-value').val($(this).html());
        keyUpforTagFriends(event);
        return true;
    });

    $('div.watermarkStream').live('keydown', function (event) {
        keyDownforTagFriends(event);
    });

    $('div.watermarkComment').live('focus', function () {

        defaultColor = $(this).css('color');
        $(this).css('color', color);
        var this_title = $(this).attr('title');
        if (removeBRend($(this).html()) == this_title) {
            $(this).html('');
        };
        $(this).next().next('.msgbox').html('Nhấn Shift+Enter để xuống dòng.').show();
    });

    $('div.watermarkComment').live('blur', function () {
        $(this).css('color', defaultColor);
        var this_title = $(this).attr('title');
        if (removeBRend($(this).html()) == '') {
            $(this).html(this_title);
        }
        $(this).next().next('.msgbox').hide();
    });

    $('div.watermarkComment').live('keypress', function (event) {
        event = event || window.event;
        if (event.keyCode == 13) {
            if (event.shiftKey && removeBRend($(this).html()) == '') {
                event.preventDefault();
            }
            if (!event.shiftKey) {
                if (result > 0) {
                    $("#tagfriend_" + no).click();
                    event.preventDefault();
                } else {
                    event.preventDefault();
                    var objectid = $(this).attr('object-id');
                    var objecttype = $(this).attr('object-type');
                    var commentContent = $(this).html();
                    tikStream.comment(objecttype, objectid, commentContent);
                }
            }
        }
    });

    $('div.watermarkComment').live('keyup', function (event) {
        var feedid = $(this).attr('id').replace(/comment-content-/g, '');
        blastid = '#comment-content-' + feedid;
        displayid = '#comment-display-tag-' + feedid;
        keyUpforTagFriends(event);
        return true;
    });

    $('div.watermarkComment').live('keydown', function (event) {
        keyDownforTagFriends(event);
    });

    $('.display_box_tagfriend').live('click', function () {
        tagFriend($(this));
        return false;
    });

    $('div.watermarkComment').clickoutside(function () {
        clickOutSite();
    });
    $('div.watermarkStream').clickoutside(function () {
        clickOutSite();
    });

    function clickOutSite() {
        $(displayid).html('');
        $(displayid).hide();
        keyword = '';
        result = 0;
        blastid = '';
        displayid = '';
    }

    function keyUpforTagFriends(event) {
        if (event.keyCode == 27) return true;
        if (checkMaxTags()) return true;
        getCursorPosition(blastid);
        event = event || window.event;
        if (pos_start >= 0 && keyword.substr(0, 1) != ' ') {
            if ($.trim(keyword) != '') {
                if (event.keyCode != 38 && event.keyCode != 40 && event.keyCode != 13) {
                    if (timeout) clearTimeout(timeout);
                    timeout = setTimeout(function () {
                        getFriends();
                    }, 400);
                }
            } else {
                $(displayid).hide();
            }
        } else {
            $(displayid).hide();
        }
    }

    function keyDownforTagFriends(event) {
        event = event || window.event;
        if (event.keyCode == 38 && result > 0) {
            no--;
            if (no < 1) no = result;
            select(no);
            event.preventDefault();
            return false;
        } else if (event.keyCode == 40 && result > 0) {
            no++;
            if (no > result) no = 1;
            select(no);
            event.preventDefault();
            return false;
            //        } else if (event.keyCode == 13) {
            //            if (result > 0) {
            //                $("#tagfriend_" + no).click();
            //                event.preventDefault();
            //                return false;
            //            }
            //            return true;
        } else if (event.keyCode == 8) {
            var node = this.lastChild;
            try {
                if (browser === 'SA') {
                    return true;
                }
                else if (browser === 'FF') {
                    var selObj = window.getSelection();
                    if (selObj.anchorNode.toString() != "[object Text]" && (node.toString() == "[object HTMLBRElement]" || node.toString() == "[object HTMLSpanElement]" || (node.toString() == "[object Text]" && $.trim(node.textContent) == ''))) {
                        this.removeChild(node);
                        return false;
                    }
                } else {
                    if ($.trim(node.toString) != '') {
                        return true;
                    }
                    else {
                        this.removeChild(node);
                        return false;
                    }
                }
            } catch (e) {
                return true;
            }
        }
    }

    function getFriends() {
        $(displayid).hide();
        $.ajax({
            type: "POST",
            url: url_tag,
            data: ({
                keyword: TikEncode(keyword),
                blast: TikEncode($(blastid).html())
            }),
            cache: false,
            success: function (response) {
                if (response.error == 0) {
                    $(displayid).html(response.result);
                    if (response.empty) {
                        result = 0;
                        $(displayid).hide();
                    } else {
                        result = response.total;
                        $(displayid).show();
                        select(1);
                    }
                } else {
                    TikAlert(response.errorDescription, "Lỗi!");
                }
            }
        });
    }

    function rtrim(str) {
        var br_ff = /<br[^>]*type=\"\_moz\">/gi;
        return str.replace(br_ff, '');
    }

    function tagFriend(obj) {
        if (result) {
            var old = $(blastid).html();
            var str = '';
            if (checkMaxTags()) {
                str = obj.find('a').attr("title");
            } else {
                str = '<small id="' + obj.find('a').attr("id") + '" class="tag" contenteditable="false">' + obj.find('a').attr("title") + '</small>&nbsp;';
            }
            $(blastid).html(removeBRend(rtrim(old.replace("@" + keyword, str))));
            var editableDiv = $(blastid)[0];
            editableDiv.focus();
            setCaretToEnd(editableDiv);
            $(displayid).html('');
            $(displayid).hide();
            no = 1;
            result = 0;
            keyword = '';
            pos_start = -1;
            blastid = '';
            displayid = '';
        }
    }

    function setCaretToEnd(el) {
        var sel, range;
        if (window.getSelection && document.createRange) {
            range = document.createRange();
            range.selectNodeContents(el);
            range.collapse(false);
            sel = window.getSelection();
            sel.removeAllRanges();
            sel.addRange(range);
        } else if (document.body.createTextRange) {
            range = document.body.createTextRange();
            range.moveToElementText(el);
            range.collapse(false);
            range.select();
        }
    }

});

function select(num_active) {
    $('.display_box_tagfriend').each(function (i) {
        $(this).removeClass('display_box_tagfriend_hover');
    });
    $("#tagfriend_" + num_active).addClass('display_box_tagfriend_hover');
}



var flagIE = 0;
var fixIE = 0;
function getCursorPosition(blastid) {
    try {
        var pos_cur = 0;
        var str = '';
        if (window.getSelection) {
            var selObj = window.getSelection();
            if (selObj.anchorNode.toString() == "[object Text]") {
                str = selObj.anchorNode.textContent;
                pos_cur = selObj.anchorOffset;
                getKeyword(str, pos_cur);
            }
        } else if (document.selection) {
            var range = document.selection.createRange();
            $(blastid).focus();
            str = $(blastid).text();
            // Move selection start to 0 position
            range.moveStart('character', -str.length);
            pos_cur = $.trim(range.text).length;
            getKeyword(str, pos_cur);
        }
    } catch (e) { }
}

function getKeyword(str, pos_cur) {
    var cut_str = (pos_cur - 15) > 0 ? pos_cur - 15 : 0;
    var str2 = str.substr(cut_str, pos_cur);
    pos_start = str2.lastIndexOf("@");
    keyword = '';
    if (pos_start >= 0) {
        value = str2.substr(pos_start + 1, pos_cur + 1)
        if (value != '@' && value != '') {
            keyword = value;
        }
    }
}



function stripHTML(oldString) {
    var newString = "";
    var inTag = false;
    for (var i = 0; i < oldString.length; i++) {
        if (oldString.charAt(i) == '<') inTag = true;
        if (oldString.charAt(i) == '>') {
            if (oldString.charAt(i + 1) == "<") { }
            else {
                inTag = false;
                i++;
            }
        }
        if (!inTag) newString += oldString.charAt(i);
    }
    return newString;
}

function checkMaxTags() {
    var txt = $(blastid).html();
    var matches = txt.match(/\<\/small\>/ig);
    try {
        return (matches.length >= MAXTAG);
    } catch (e) {
        return false;
    }
}

