﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Social.Service.Interface.TikFriend;
using System.Web.Mvc;
using Social.Entity.TikFriend;
using Social.Web.Extends.Helper;
using System.Web.SessionState;
using Social.Lib;

namespace Social.Web.Service
{
    /// <summary>
    /// Summary description for InsertFriendList
    /// </summary>
    public class InsertFriendList : IHttpHandler, IReadOnlySessionState
    {

        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/plain";
            //context.Response.Write("Hello World");
            //SessionManager.Set("UserId", "03cd37fb-a9ff-4f91-9b23-48188ddf7ce4");
            string c = context.Request.Form["friend"];
            string friendid = context.Request.Form["friendid"];

            Guid fromUserID = new Guid(SessionManager.Get("UserID").ToString());
            Guid data = new Guid(friendid);
            Guid sc = new Guid(c);
            IFriendInListService _firendlist = DependencyResolver.Current.GetService<IFriendInListService>();
            int dem=_firendlist.GetAll().Where(x => x.FriendID == data && x.FriendListID == sc).Count();
            if (dem == 0)
            {
                FriendInList friendinlist = new FriendInList();
                friendinlist.ID = Guid.NewGuid();
                friendinlist.FriendID = data;
                friendinlist.FriendListID = sc;

                _firendlist.Add(friendinlist);
            }
            else {
                FriendInList friendinlist = new FriendInList();
                //friendinlist.ID = Guid.NewGuid();
                friendinlist.FriendID = data;
                friendinlist.FriendListID = sc;

                _firendlist.Update(friendinlist);
            }
            


        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}