﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;
using Social.Entity.Tik;

namespace Social.DAL.EF.Context
{
    public class TikContext : ContextBase
    {
        public DbSet<UserSchool> UserSchool { get; set; }
        public DbSet<UserProfile> UserProfile { get; set; }
        public DbSet<UserSearch> UserSearch { get; set; }
        public DbSet<School> School { get; set; }
        public DbSet<UserHobby> UserHobby { get; set; }
        public DbSet<UserConfig> UserConfig { get; set; }
        public DbSet<UserFamily> UserFamily { get; set; }
        public DbSet<UserUniversity> UserUniversity { get; set; }
        public DbSet<UserContact> UserContact { get; set; }
        public DbSet<Province> Province { get; set; }
        public DbSet<University> University { get; set; }
        public DbSet<Company> Company { get; set; }
        public DbSet<Job> Job { get; set; }
        public DbSet<JobPosition> JobPosition { get; set; }
        public DbSet<UserCompany> UserCompany { get; set; }
        public DbSet<UserUniversityAndUserSearch> UserUniversityAndUserSearch { get; set; }
        public DbSet<UserSchoolAndUserSearch> UserSchoolAndUserSearch { get; set; }
        public DbSet<UserCompanyAndUserSearch> UserCompanyAndUserSearch { get; set; }
        public DbSet<UserProfileAndUserSearch> UserProfileAndUserSearch { get; set; }
    }
}
