using System;
using System.ComponentModel.DataAnnotations;
using System.Configuration;
using Social.Lib;
namespace Social.Entity.Tik
{
    [Serializable]
    public class UserSchoolAndUserSearch
    {
		public Guid ID { get; set; }
		public Guid UserID { get; set; }
		public String School { get; set; }
		public Int16 ClassYear { get; set; }
        public String FullName { get; set; }
        //public String SmallAvatar { get; set; }
        public String Username { get; set; }
        private string _smallavatar;
        public String SmallAvatar
        {
            get
            {

                if (!_smallavatar.Contains("http://"))
                    return string.Concat(ConfigurationManager.AppSettings["AvatarServerUrl"], _smallavatar);
                return _smallavatar;

            }
            set { _smallavatar = value; }
        }
        [NotMapped]
        public virtual string ProfileLink
        {
            get
            {
                if (String.IsNullOrWhiteSpace(Username))
                    return ConfigManager.MainDomain + "/" + ID;
                return ConfigManager.MainDomain + "/" + Username;

            }
        }
       
    }
}
