using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
namespace Social.Entity.TikActivity
{
    [Serializable]
    public class UserFeed
    {
        [Key]
		public Guid ID { get; set; }
		public Guid OwnerID { get; set; }
		public Byte FeedType { get; set; }
		public Byte MessageType { get; set; }
		public String MessageParam { get; set; }
        public String Message { get; set; }
		public Int32 LikeCount { get; set; }
		public Int32 CommentCount { get; set; }
        public Guid TargetID { get; set; }
        public Byte TargetType { get; set; }
		public Guid ObjectID { get; set; }
		public Byte ObjectType { get; set; }
		public DateTime CreatedDate { get; set; }
		public DateTime UpdatedDate { get; set; }
		public Int32 Impression { get; set; }
		public String ActionLinks { get; set; }
		public Byte PrivacyType { get; set; }
		public String PrivacyPeople { get; set; }
		public String IconURL { get; set; }
		public Byte AttachmentType { get; set; }
		public String AttachmentParam { get; set; }

        //public virtual List<UserComment> UserComment { get; set; }
        //public virtual List<UserLike> UserLike { get; set; }
    }
}
