﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace Social.Entity.TikCms
{   
    [Serializable]
    public class StaticPage
    {
        
        
        [Required]
        [DisplayName("ID")]
        public Guid ID { get; set; }

        [Required]
        [DisplayName("Poster")]
        public string PageKey { get; set; }

        [Required]
        [DisplayName("Title")]
        public string PageName { get; set; }

        [Required]
        [DisplayName("Content")]
        public string PageContent { get; set; }

        [Required]
        [DisplayName("Created")]
        public DateTime CreatedDate { get; set; }

        [Required]
        [DisplayName("Updated")]
        public DateTime UpdatedDate { get; set; }

        [Required]
        [DisplayName("UserID")]        
        public Guid UserID { get; set; }

        [Required]
        [DisplayName("Enable")]        
        public bool Enable { get; set; }
        

    }
}
