﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Social.Lib.Music
{
    public static class MusicUtil
    {
        public static string GeneratePlayerAlbum(string urlXMLAlbum, bool autoStart, string urlDetail, string jsonSongs)
        {
            var _skin = "%2FScripts%2FJwPlayer%2Fmetal.zip";
            var _pId = DateTime.Now.Ticks.ToString();
            var _autoStast = autoStart.ToString().ToLower();
            urlXMLAlbum = urlXMLAlbum.Replace("/", "%2F");
            urlXMLAlbum = urlXMLAlbum.Replace(":", "%3A");
            urlXMLAlbum = urlXMLAlbum.Replace("?", "%3F");
            urlXMLAlbum = urlXMLAlbum.Replace("=", "%3D");
            urlXMLAlbum = urlXMLAlbum.Replace("&", "%26");
            urlXMLAlbum = urlXMLAlbum.Replace(" ", "%20");
            urlDetail = urlDetail.Replace("/", "%2F");
            urlDetail = urlDetail.Replace(":", "%3A");
            urlDetail = urlDetail.Replace("?", "%3F");
            urlDetail = urlDetail.Replace("=", "%3D");
            urlDetail = urlDetail.Replace("&", "%26");
            urlDetail = urlDetail.Replace(" ", "%20");
            var sb = new StringBuilder();
            //sb.AppendFormat("<div id=\"divTitle_{0}\"></div>", _pId);
            sb.AppendFormat("<object width=\"390\" height=\"195\" type=\"application/x-shockwave-flash\" data=\"{0}\" bgcolor=\"#FFFFFF\" id=\"{1}\" name=\"{1}\" tabindex=\"0\">", ConfigManager.UrlPlayerMusic, _pId);
            sb.Append("<param name=\"allowfullscreen\" value=\"true\">");
            sb.Append("<param name=\"allowscriptaccess\" value=\"always\">");
            sb.Append("<param name=\"seamlesstabbing\" value=\"true\">");
            sb.Append("<param name=\"wmode\" value=\"opaque\">");
            sb.AppendFormat("<param name=\"flashvars\" value=\"netstreambasepath={0}&amp;id={1}&amp;playlistfile={2}&amp;repeat=list&amp;autostart={3}&amp;skin={4}&amp;screencolor=%23FFFFFF&amp;allowfullscreen=false&amp;controlbar.position=top&amp;playlist.position=bottom&amp;playlist.size=195&amp;stretching=exactfit&amp;shuffle=true\">", urlDetail, _pId, urlXMLAlbum, _autoStast, _skin);
            sb.AppendFormat("<embed id='{1}' name='{1}' src='{5}' width='390' height='195' allowfullscreen='false' allowscriptaccess='always' bgcolor='#FFFFFF' wmode='opaque' flashvars='netstreambasepath={0}&amp;id={1}&amp;playlistfile={2}&amp;repeat=list&amp;autostart={3}&amp;skin={4}&amp;screencolor=%23FFFFFF&amp;allowfullscreen=false&amp;controlbar.position=top&amp;playlist.position=bottom&amp;playlist.size=195&amp;stretching=exactfit&amp;shuffle=true'/>", urlDetail, _pId, urlXMLAlbum, _autoStast, _skin, ConfigManager.UrlPlayerMusic);
            sb.Append("</object>");
            sb.AppendFormat("<div id=\"lstTit_{0}\" style=\"display:none\">{1}</div>", _pId, jsonSongs);
            //sb.AppendFormat("<script type=\"text/javascript\"> jwplayer(\"{0}\").onPlaylistItem(function(item){{ var info=eval(item); $(\"#divTitle_{0}\").html(getTitleSongInAlbum(\"{0}\", info.index));}}); </script>", _pId);
            sb.AppendFormat("<script type=\"text/javascript\"> jwplayer(\"{0}\").onPlaylistItem(function(item){{ var info=eval(item); $(\"#divTitleAlbum\").html(getTitleSongInAlbum(\"{0}\", info.index));}}); </script>", _pId);
            return sb.ToString();
        }

        public static string GeneratePlayerSong(string urlXMLSong, string urlDetail, bool autoStart)
        {
            var _skin = "%2FScripts%2FJwPlayer%2Fmetal.zip";
            var _pId = DateTime.Now.Ticks.ToString();
            var _autoStast = autoStart.ToString().ToLower();
            urlXMLSong = urlXMLSong.Replace("/", "%2F");
            urlXMLSong = urlXMLSong.Replace(":", "%3A");
            urlXMLSong = urlXMLSong.Replace("?", "%3F");
            urlXMLSong = urlXMLSong.Replace("=", "%3D");
            urlXMLSong = urlXMLSong.Replace("&", "%26");
            urlXMLSong = urlXMLSong.Replace(" ", "%20");
            urlDetail = urlDetail.Replace("/", "%2F");
            urlDetail = urlDetail.Replace(":", "%3A");
            urlDetail = urlDetail.Replace("?", "%3F");
            urlDetail = urlDetail.Replace("=", "%3D");
            urlDetail = urlDetail.Replace("&", "%26");
            urlDetail = urlDetail.Replace(" ", "%20");
            var sb = new StringBuilder();
            sb.AppendFormat("<object width=\"390\" height=\"30\" type=\"application/x-shockwave-flash\" data=\"{0}\" bgcolor=\"#FFFFFF\" id=\"{1}\" name=\"{1}\" tabindex=\"0\">", ConfigManager.UrlPlayerMusic, _pId);
            sb.Append("<param name=\"allowfullscreen\" value=\"true\">");
            sb.Append("<param name=\"allowscriptaccess\" value=\"always\">");
            sb.Append("<param name=\"seamlesstabbing\" value=\"true\">");
            sb.Append("<param name=\"wmode\" value=\"opaque\">");
            sb.AppendFormat("<param name=\"flashvars\" value=\"netstreambasepath={0}&amp;id={1}&amp;playlistfile={2}&amp;repeat=list&amp;autostart={3}&amp;skin={4}&amp;screencolor=%23FFFFFF&amp;allowfullscreen=false&amp;controlbar.position=top&amp;playlist.position=bottom&amp;playlist.size=195&amp;stretching=exactfit&amp;shuffle=true\">", urlDetail, _pId, urlXMLSong, _autoStast, _skin);
            sb.AppendFormat("<embed id='{1}' name='{1}' src='{5}' width='390' height='30' allowfullscreen='false' allowscriptaccess='always' bgcolor='#FFFFFF' wmode='opaque' flashvars='netstreambasepath={0}&amp;id={1}&amp;playlistfile={2}&amp;repeat=list&amp;autostart={3}&amp;skin={4}&amp;screencolor=%23FFFFFF&amp;allowfullscreen=false&amp;controlbar.position=top&amp;playlist.position=bottom&amp;playlist.size=195&amp;stretching=exactfit&amp;shuffle=true'/>", urlDetail, _pId, urlXMLSong, _autoStast, _skin, ConfigManager.UrlPlayerMusic);
            sb.Append("</object>");
            return sb.ToString();
        }

        public static string GeneratePlayerAlbumToWall(string urlXMLAlbum, bool autoStart, string urlDetail, string jsonSongs)
        {
            var _skin = "%2FScripts%2FJwPlayer%2Fmetal.zip";
            var _pId = DateTime.Now.Ticks.ToString();
            var _autoStast = autoStart.ToString().ToLower();
            urlXMLAlbum = urlXMLAlbum.Replace("/", "%2F");
            urlXMLAlbum = urlXMLAlbum.Replace(":", "%3A");
            urlXMLAlbum = urlXMLAlbum.Replace("?", "%3F");
            urlXMLAlbum = urlXMLAlbum.Replace("=", "%3D");
            urlXMLAlbum = urlXMLAlbum.Replace("&", "%26");
            urlXMLAlbum = urlXMLAlbum.Replace(" ", "%20");
            urlDetail = urlDetail.Replace("/", "%2F");
            urlDetail = urlDetail.Replace(":", "%3A");
            urlDetail = urlDetail.Replace("?", "%3F");
            urlDetail = urlDetail.Replace("=", "%3D");
            urlDetail = urlDetail.Replace("&", "%26");
            urlDetail = urlDetail.Replace(" ", "%20");
            var sb = new StringBuilder();
            sb.AppendFormat("{5}?netstreambasepath={0}&id={1}&playlistfile={2}&repeat=list&autostart={3}&skin={4}&screencolor=%23FFFFFF&allowfullscreen=false&controlbar.position=top&playlist.position=bottom&playlist.size=195&stretching=exactfit&shuffle=true", urlDetail, _pId, urlXMLAlbum, _autoStast, _skin, ConfigManager.UrlPlayerMusic);
            return sb.ToString();
        }

        public static string GeneratePlayerSongToWall(string urlXMLSong, string urlDetail, bool autoStart)
        {
            var _skin = "%2FScripts%2FJwPlayer%2Fmetal.zip";
            var _pId = DateTime.Now.Ticks.ToString();
            var _autoStast = autoStart.ToString().ToLower();
            urlXMLSong = urlXMLSong.Replace("/", "%2F");
            urlXMLSong = urlXMLSong.Replace(":", "%3A");
            urlXMLSong = urlXMLSong.Replace("?", "%3F");
            urlXMLSong = urlXMLSong.Replace("=", "%3D");
            urlXMLSong = urlXMLSong.Replace("&", "%26");
            urlXMLSong = urlXMLSong.Replace(" ", "%20");
            urlDetail = urlDetail.Replace("/", "%2F");
            urlDetail = urlDetail.Replace(":", "%3A");
            urlDetail = urlDetail.Replace("?", "%3F");
            urlDetail = urlDetail.Replace("=", "%3D");
            urlDetail = urlDetail.Replace("&", "%26");
            urlDetail = urlDetail.Replace(" ", "%20");
            var sb = new StringBuilder();
            sb.AppendFormat("{5}?netstreambasepath={0}&id={1}&playlistfile={2}&repeat=list&autostart={3}&skin={4}&screencolor=%23FFFFFF&allowfullscreen=false&controlbar.position=top&playlist.position=bottom&playlist.size=195&stretching=exactfit&shuffle=true", urlDetail, _pId, urlXMLSong, _autoStast, _skin, ConfigManager.UrlPlayerMusic);
            return sb.ToString();
        }

        public static string GeneratePlayerSong1(string urlFile, string urlDetail, bool autoStart)
        {
            var _skin = "%2FScripts%2FJwPlayer%2Fmetal.zip";
            var _pId = DateTime.Now.Ticks.ToString();
            var _autoStast = autoStart.ToString().ToLower();

            urlFile = urlFile.Replace("/", "%2F");
            urlFile = urlFile.Replace(":", "%3A");
            urlFile = urlFile.Replace("?", "%3F");
            urlFile = urlFile.Replace("=", "%3D");
            urlFile = urlFile.Replace("&", "%26");

            urlDetail = urlDetail.Replace("/", "%2F");
            urlDetail = urlDetail.Replace(":", "%3A");
            urlDetail = urlDetail.Replace("?", "%3F");
            urlDetail = urlDetail.Replace("=", "%3D");
            urlDetail = urlDetail.Replace("&", "%26");
            urlDetail = urlDetail.Replace(" ", "%20");

            var sb = new StringBuilder();
            sb.AppendFormat("<object width=\"470\" height=\"30\" type=\"application/x-shockwave-flash\" data=\"{0}\" bgcolor=\"#FFFFFF\" id=\"{1}\" name=\"mediaplayer\" tabindex=\"0\">", ConfigManager.UrlPlayerMusic, _pId);
            sb.Append("<param name=\"allowfullscreen\" value=\"true\">");
            sb.Append("<param name=\"allowscriptaccess\" value=\"always\">");
            sb.Append("<param name=\"seamlesstabbing\" value=\"true\">");
            sb.Append("<param name=\"wmode\" value=\"opaque\">");
            sb.AppendFormat("<param name=\"flashvars\" value=\"netstreambasepath={0}&amp;id={1}&amp;file={2}&amp;skin={3}&amp;screencolor=%23FFFFFF&amp;controlbar.position=bottom&amp;controlbar.position=top&amp;autostart={4}&amp;shuffle=true&amp;stretching=exactfit&amp;shuffle=true&amp;repeat=true\">", urlDetail, _pId, urlFile, _skin, _autoStast);
            sb.AppendFormat("<embed id='{1}' name='{1}' src='{5}' width='470' height='30' allowfullscreen='false' allowscriptaccess='always' bgcolor='#FFFFFF' wmode='opaque' flashvars='netstreambasepath={0}&amp;id={1}&amp;file={2}&amp;skin={3}&amp;screencolor=%23FFFFFF&amp;controlbar.position=bottom&amp;controlbar.position=top&amp;autostart={4}&amp;stretching=exactfit&amp;shuffle=true&amp;repeat=true'/>", urlDetail, _pId, urlFile, _skin, _autoStast, ConfigManager.UrlPlayerMusic);
            sb.Append("</object>");

            return sb.ToString();
        }
    }
}
