﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Social.Entity;
using Social.Entity.Tik;

namespace Social.Service.Interface.Tik
{
    public interface IUserSchoolService:IService<UserSchool>
    {
        IList<UserSchool> Search(string a);
        string GetByUserID(Guid userid);
        List<Guid> GetBySchool(List<string> school);
        UserSchool GetUserSchooolByUserID(Guid userid);
        UserSchool GetByUserIDTop1(Guid userID);
    }
}
