using System;
using System.Collections.Generic;
using Social.Entity.TikActivity;
using Social.Service.TikActivity;

namespace Social.Service.Interface.TikActivity
{
    public interface IUserCommentService : IService<UserComment>
    {
        List<UserComment> GetComments(Guid objectid);
        List<Guid> GetCommentIDs(Guid objectid);
        UserComment GetComment(Guid commentid);
        //List<UserComment> GetComments(UserCommentService.ObjectType type, Guid objectid);
    }
}
