using System;
using System.Collections.Generic;
using Social.Entity.TikActivity;

namespace Social.Service.Interface.TikActivity
{
    public interface IUserLikeService : IService<UserLike>
    {
        bool Like(Guid feedId, Guid commentId = new Guid());
        bool UnLike(Guid feedId, Guid commentId = new Guid());

        List<UserLike> GetLikes(Guid objectid);
        UserLike GetLike(Guid objectid, Guid userid);
        UserLike GetLike(Guid likeid);
        bool IsExisted(Guid objectid, Guid userid);
    }
}
