using Social.Entity.TikApplication;
using System;
using System.Collections.Generic;

namespace Social.Service.Interface.TikApplication
{
    public interface INoteService : IService<Note>
    {
        Note GetNoteByID(Guid noteid);
        IList<Note> GetListNoteByUserID(Guid userID);
        IList<Note> GetTopListNoteByUserID(Guid userId, int top = 3);
        IList<Note> GetListNoteTags(Guid userID);
        List<Note> GetListNoteByUserIdAndPageNumber(Guid userId, int pageIndex, int pageSize, out int totalRow);
    }
}
