using Social.Entity.TikFriend;
using System;
using System.Collections.Generic;

namespace Social.Service.Interface.TikFriend
{
    public interface IFriendSearchService : IService<FriendSearch>
    {
        List<FriendSearch> GetByOwnerIDAndKeyWord(Guid OwnerID, string keyword, int top);
        List<FriendSearch> GetByOwnerIDTop(Guid owner, int top);
        List<FriendSearch> GetByOwnerIDAndKeyWord_FullTextName(Guid ownerID, string keyword, int top);
        List<FriendSearchUserName> GetByOwnerIDTopIndex(Guid Owner, int top);
        bool CheckFriend(Guid friendID, Guid ownerID);
    }
}
