using Social.Entity.TikFriend;
using System.Collections.Generic;
using System;
using Webdiyer.WebControls.Mvc;

namespace Social.Service.Interface.TikFriend
{
    public interface IUserFriendService : IService<UserFriend>
    {
        List<UserFriend> GetKeyWord(string keyword, Guid id);
        List<Guid> GetByOwnerID(Guid id);
        List<UserFriend> GetByImpressionOrder(Guid userid);
        List<Guid> GetIDByImpressionOrder(Guid userid);
        List<UserFriend> GetByUserFriend(Guid ownnerId, Guid friendId);
        int GetCountByUserFriend(Guid ownnerId, Guid friendId);
        Webdiyer.WebControls.Mvc.PagedList<UserFriend> GetListUserFriend_ByOwnerID(Guid id, int pageIndex = 0, int pageSize = 10);
        UserFriend GetByID(Guid id);
        bool CheckExsitFriend(Guid ownerID, Guid friendID);
    }
}
