using System;
using System.Collections.Generic;
using System.Web.Mvc;
using Social.Entity.TikPhoto;

namespace Social.Service.Interface.TikPhoto
{
    public interface IPhotoService : IService<Photo>
    {
        object GetPhotoById(Guid id);
        List<Photo> GetAllPhotoByAlbumId(Guid albumId);
        Photo GetNextPhotoInAnbum(Guid albumId, Guid photoId);
        Photo GetPrevPhotoInAnbum(Guid albumId, Guid photoId);
        int UpdateListPhoto(List<Photo> lstPhoto, Guid albumId);
        List<Photo> GetPageListPhotoByAlbumId(Guid albumId, int pageIndex, int pageSize, out int totalRow);
        Photo GetById(Guid pId);
    }
}
