using System;
using System.Collections.Generic;
using Social.Entity.TikPhoto;

namespace Social.Service.Interface.TikPhoto
{
    public interface IPhotoTagService : IService<PhotoTag>
    {
        void DeleteByUidAndPid(Guid uId, Guid pId);
        List<PhotoTag> GetListByPid(Guid pId);
        List<PhotoTag> GetByUid(Guid uId);
        List<Guid> DeleteByPid(Guid pId);
    }
}
