﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Social.DAL.Interface;
using Social.Entity;
using Social.Entity.Tik;
using Social.Entity.TikCms;
using Social.Service.Interface.TikCms;
using Social.Entity.Tik;

namespace Social.Service.TikCms
{
    public class StaticPageService : ServiceBase<StaticPage>, IStaticPageService
    {
        IRepository _re;
        public StaticPageService(ITikCmsRepository repository)
            : base(repository)
        {
            _re = repository;
        }

        public StaticPage GetByPageKey(string pageKey = "ve-ftccommunity")
        {
            var a = _re.All<Company>();
            return _re.Single<StaticPage>(p => p.PageKey == pageKey);
        }
    }
}
