using System.Collections.Generic;
using System.Linq;
using Social.DAL.Interface;
using Social.Entity.TikMusic;
using Social.Service.Interface.TikMusic;

namespace Social.Service.TikMusic
{
    public class CategoryService : ServiceBase<Category>, ICategoryService
    { 
        IRepository _re;
        public CategoryService(ITikMusicRepository repository)
            : base(repository)
        {
            _re = repository;
        }

        public List<Category> GetAll()
        {
            var retval = from it in _re.All<Category>()
                         orderby it.Name ascending 
                         select it;
            return retval.ToList();
        }
    }
}
