﻿using System.Web.Mvc;

namespace Social.Web.Areas.Music
{
    public class MusicAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "Music";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
           context.MapRoute(
               "Music_UploadSong",
               "{username}/Music/UploadSong",
               new { controller = "Music", action = "UploadSong"}
           );

           context.MapRoute(
               "Music_EditAlbum",
               "{username}/Music/EditAlbum/{abId}",
               new { controller = "Music", action = "EditAlbum" }
           );

           context.MapRoute(
               "Music_AlbumDetail",
               "{username}/Music/AlbumDetail/{abId}",
               new { controller = "Music", action = "AlbumDetail"}
           );

           context.MapRoute(
              "Music_SongDetail",
              "{username}/Music/SongDetail/{sid}",
              new { controller = "Music", action = "SongDetail" }
           );

           context.MapRoute(
                "Music_default",
                "Music",
                new { controller = "Music", action = "Index"}
           );

           context.MapRoute(
               "Music_default_with_UserName",
               "{username}/Music", new { controller = "Music", action = "Index" }
           );
        }
    }
}
