﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Social.Web.Areas.Profile.Models
{
    [Serializable]
    public class RelationshipModel
    {
        public Guid UserID { get; set; }
        public byte MaritalStatus { get; set; }
        public string MaritialWith { get; set; }
        public IEnumerable<SelectListItem> RelationshipTypes
        {
            get
            {
                List<SelectListItem> selectList = new List<SelectListItem>();
                selectList.Add(new SelectListItem { Value = "0", Text = "Chọn tình trạng hôn nhân", Selected = RelationshipType.ToString().Equals("0") });
                selectList.Add(new SelectListItem { Value = "13", Text = "Bí mật", Selected = RelationshipType.ToString().Equals("13") });
                selectList.Add(new SelectListItem { Value = "14", Text = "Độc thân", Selected = RelationshipType.ToString().Equals("14") });
                selectList.Add(new SelectListItem { Value = "15", Text = "Đang hẹn hò", Selected = RelationshipType.ToString().Equals("15") });
                selectList.Add(new SelectListItem { Value = "16", Text = "Đã đính hôn", Selected = RelationshipType.ToString().Equals("16") });
                selectList.Add(new SelectListItem { Value = "17", Text = "Đã kết hôn", Selected = RelationshipType.ToString().Equals("17") });
                selectList.Add(new SelectListItem { Value = "18", Text = "Đang yêu", Selected = RelationshipType.ToString().Equals("18") });
                selectList.Add(new SelectListItem { Value = "20", Text = "Góa (chồng, vợ)", Selected = RelationshipType.ToString().Equals("20") });
                selectList.Add(new SelectListItem { Value = "21", Text = "Ly hôn", Selected = RelationshipType.ToString().Equals("21") });
                return selectList;
            }
        }
        public String RelationshipType { get; set; }
    }
}