﻿using System.Web.Mvc;

namespace Social.Web.Areas.Register
{
    public class RegisterAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "Register";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "Register_Avatar",
                "Register/Avatar",
                new { controller = "Avatar", action = "Index", id = UrlParameter.Optional }
            );
            context.MapRoute(
                "Register_GoogleContact",
                "Register/GoogleContact",
                new { controller = "Register", action = "GoogleContact", id = UrlParameter.Optional }
            );
            context.MapRoute(
                "Register_InviteFriend",
                "Register/InviteFriend",
                new { controller = "Register", action = "InviteFriend", id = UrlParameter.Optional }
            );
            context.MapRoute(
                "Register_Index",
                "Register/Index",
                new { controller = "Register", action = "Index", id = UrlParameter.Optional }
            );
            context.MapRoute(
                "Register_default_IsCaptchaValid",
                "Register/IsCaptchaValid",
                new { controller = "Register", action = "IsCaptchaValid", id = UrlParameter.Optional }
            );
            
            context.MapRoute(
                "Register_default",
                "Register/{controller}/{action}/{id}",
                new { controller = "Register", action = "Index", id = UrlParameter.Optional }
            );
            


        }
    }
}
