﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StructureMap;
using System.Web.Mvc;
using System.Web.Routing;

public class StructureMapControllerActivator : IControllerActivator
{
    public StructureMapControllerActivator(IContainer container)
    {
        _container = container;
    }

    private IContainer _container;

    public IController Create(RequestContext requestContext, Type controllerType)
    {
        return _container.GetInstance(controllerType) as IController;
    }
}