﻿var mode_tag_hidden;
var img_view_hidden;
var parent_imgView;
var imgView;
var imgViewWidth;
var imgViewHeight;
var imgView_pos_x;
var imgView_pos_y;

var albumViewPhoto_pos_x;
var albumViewPhoto_pos_y;

var photo_tag_frame_size;

var Album = {
    PhotoDataUrl: '',
    NameMainThumb: '',
    NameThumbZoom: '',
    Time_Out: Object,
    Init: function (photoDataUrl, nameMainThumb, nameThumbZoom, currId) {
        Album.PhotoDataUrl = photoDataUrl;
        Album.NameMainThumb = nameMainThumb;
        Album.NameThumbZoom = nameThumbZoom;
        Album.CurrPhotoId = currId;
        //        $('#myphoto').bind('mousemove', function (e) {
        //            Album.MousemoveImage(e, $('#myphoto'));
        //        });
        //        $('#photoborder').bind('mousemove', function (e) {
        //            Album.MousemoveImage(e, $('#photoborder'));
        //        });
        Album.LoadPhotoInfo(currId);
    },
    //    MousemoveImage: function (e, obj) {
    //        var widthImage = $(obj).width();
    //        var relativeXPosition = (e.pageX - obj.offset().left);
    //        if (parseInt(relativeXPosition) > (widthImage / 2)) {
    //            $(obj).css('cursor', 'url(/Content/Photo/Images/icons/arrow-photo-right.ico),auto');
    //            $('#photoborder').unbind("click").click(function () {
    //                Album.PhotoNext();
    //            });
    //        } else if (parseInt(relativeXPosition) <= (widthImage / 2)) {
    //            $(obj).css('cursor', 'url(/Content/Photo/Images/icons/arrow-photo-left.ico),auto');
    //            $('#photoborder').unbind("click").click(function () {
    //                Album.PhotoPrev();
    //            });
    //        }
    //    },
    PhotoNext: function () {
        var pId = $('#iptCrrIdPhoto').val();
        var abId = $('#iptCrrIdAlbum').val();
        var cache_key = "Album_PhotoNext" + abId + "_" + pId
        var xhtml = "";
        var indexCurr = parseInt($('#indexCurr').html());
        if ($.jCache.hasItem(cache_key)) {
            xhtml = $.jCache.getItem(cache_key);
            var info = eval(xhtml);
            Album.BinImageDetail(info);
            indexCurr = indexCurr + 1;
            if (indexCurr > parseInt($('#photoCount').html())) indexCurr = 1;
            $('#indexCurr').html(indexCurr);
        }
        else {
            var _data = { abId: abId, pId: pId };
            $.ajax({
                type: 'POST',
                url: '/Photo/NextPhoto',
                data: JSON.stringify(_data),
                contentType: "application/json; charset=utf-8",
                success: function (jsonData) {
                    $.jCache.setItem(cache_key, jsonData);
                    var info = eval(jsonData);
                    Album.BinImageDetail(info);
                    indexCurr = indexCurr + 1;
                    if (indexCurr > parseInt($('#photoCount').html())) indexCurr = 1;
                    $('#indexCurr').html(indexCurr);
                },
                error: function () {
                }
            });
        }
    },
    PhotoPrev: function () {
        var pId = $('#iptCrrIdPhoto').val();
        var abId = $('#iptCrrIdAlbum').val();
        var cache_key = "Album_PrevPhoto" + abId + "_" + pId
        var xhtml = "";
        var indexCurr = parseInt($('#indexCurr').html());
        if ($.jCache.hasItem(cache_key)) {
            xhtml = $.jCache.getItem(cache_key);
            var info = eval(xhtml);
            Album.BinImageDetail(info);
            indexCurr = indexCurr - 1;
            if (indexCurr < 1) indexCurr = parseInt($('#photoCount').html());
            $('#indexCurr').html(indexCurr);
        }
        else {
            var _data = { abId: abId, pId: pId };
            $.ajax({
                type: 'POST',
                url: '/Photo/PrevPhoto',
                data: JSON.stringify(_data),
                contentType: "application/json; charset=utf-8",
                success: function (jsonData) {
                    $.jCache.setItem(cache_key, jsonData);
                    var info = eval(jsonData);
                    Album.BinImageDetail(info);
                    indexCurr = indexCurr - 1;
                    if (indexCurr < 1) indexCurr = parseInt($('#photoCount').html());
                    $('#indexCurr').html(indexCurr);
                },
                error: function () {
                }
            });
        }
    },
    LoadPhotoInfo: function (pId) {
        var cache_key = "LoadPhotoInfo_" + pId;
        var xhtml = "";
        if ($.jCache.hasItem(cache_key)) {
            xhtml = $.jCache.getItem(cache_key);
            var info = eval(xhtml);
            Album.BinImageDetail(info);
        }
        else {
            var _data = { pId: pId };
            $.ajax({
                type: 'POST',
                url: '/Photo/PhotoInfo',
                data: JSON.stringify(_data),
                contentType: "application/json; charset=utf-8",
                success: function (jsonData) {
                    $.jCache.setItem(cache_key, jsonData);
                    var info = eval(jsonData);
                    Album.BinImageDetail(info);
                },
                error: function () {
                }
            });
        }
        $(document).keyup(function (e) {
            var inputHasFocus = false;
            var focusedDiv = $(".watermarkComment:focus");
            if (focusedDiv != null && focusedDiv.length > 0) {
                inputHasFocus = true;
            }
            var focusedInputs = $(".searchBox input.ser_ip:focus");
            if (focusedInputs != null && focusedInputs.length > 0) {
                inputHasFocus = true;
            }
            if (!inputHasFocus) {
                switch (e.keyCode) {
                    case 37:
                        try {
                            Album.PhotoPrev();
                        }
                        catch (ex) { }
                        break;
                    case 38:
                        try {
                            if ($("#liZoom").is(':visible')) Album.PhotoZoom();
                        }
                        catch (ex) { }
                        break;
                    case 39:
                        try {
                            Album.PhotoNext();
                        }
                        catch (ex) { }
                        break;
                    case 40:
                        try {
                            if ($("#liZoom").is(':visible')) Album.PhotoZoomClose();
                        }
                        catch (ex) { }
                        break;
                    default:
                        break;
                }
            }
        });
    },
    BinImageDetail: function (info) {
        $('#iptCrrIdPhoto').val(info.ID);
        $('#iptCrrUrlPhoto').val(info.SourceUrl);
        $('#lnkDownload').attr('href', '/Service/DownloadPhoto.ashx?pId=' + info.ID);
        Album.PhotoZoomClose();
        var currSrc = Album.PhotoDataUrl + info.SourceUrl + Album.NameMainThumb;
        var currSrcThumbZoom = Album.PhotoDataUrl + info.SourceUrl + Album.NameThumbZoom;
        Album.CheckZoom(info.WxH, currSrcThumbZoom);
        $('#myphoto').attr("src", currSrc);
        tikStream.getCommentLike(2, info.ID);
        var des = "Cập nhật mô tả ảnh";
        try {
            if (info.Caption.length > 0) des = info.Caption;
        }
        catch (ex) { des = "Cập nhật mô tả ảnh"; }
        try {
            $('#idescription a').html(des);
        } catch (ex) { }
        try {
            if (info.Caption.length > 0) $('#_idescription').html(des);
            else $('#_idescription').html('');
        } catch (ex) { }
        location.href = location.href.substring(0, location.href.indexOf("#")).concat("#pid").concat(info.ID);
        Album.LoadFriendTaged(info);
        LoadMouseStatus();
        $('#myphoto').load(currSrc, function () {
            mode_tag_hidden = $('#mode_tag_hidden');
            img_view_hidden = $('#img_view_hidden');
            parent_imgView = $('#imgView');
            imgView = $('img', parent_imgView);
            imgViewWidth = imgView.width();
            imgViewHeight = imgView.height();
            imgView_pos_x = parseInt(imgView.position().left);
            imgView_pos_y = parseInt(imgView.position().top);
            albumViewPhoto_pos_x = parseInt($('.albumViewPhoto').position().left);
            albumViewPhoto_pos_y = parseInt($('.albumViewPhoto').position().top);
            photo_tag_frame_size = $('.photo_tag_frame', parent_imgView).outerWidth();
            $('#tag_start').live('click', function () {
                mode_tag_hidden = $('#mode_tag_hidden');
                parent_imgView = $('#imgView');
                $('html, body').animate({ scrollTop: $("#contentArea").offset().top }, 800);
                mode_tag_hidden.val(1);
                parent_imgView.addClass('modeTag');
                return false;
            });
        });

    },
    PhotoZoom: function () {
        var divZoom = "<div title=\"Click hoặc nhấn ESC để đóng lại\" id='photo_zoom' style='dislay:none;width:1024px;margin-top:200px; padding:0pt;border:medium none; position: absolute; z-index: 1012; left: 97.3333px; top: 8px; cursor: url(&quot;/Content/Photo/Images/buttons/zoomout.cur&quot;), auto;' onclick='Album.PhotoZoomClose()'></div>";
        if ($('#photo_zoom').length > 0) {
            $('#photo_zoom').remove();
        }
        var sb = "";
        sb += "<img id=\"imgZoom\" style=\"display:none;position: absolute; max-width: 9999px;z-index: 3; rigth: 0px; top: 0px; cursor: url(&quot;/Content/Photo/Images/buttons/zoomout.cur&quot;), auto;\" title=\"Click hoặc nhấn ESC để đóng lại\" src=\"" + $('#urlOriginal').val() + "\">";
        sb += "<div id=\"divCloseZoom\" style=\"display:none;padding: 0pt;border: medium none; margin: 0pt; position: absolute;width: auto; direction: ltr; opacity: 1; right: 0px; top: 0px; z-index: 4;\">";
        sb += "<div title=\"Đóng\" style=\"transparent; cursor: pointer; height: 30px; left: 15px; position: relative; top: -15px; width: 30px\">";
        sb += "<img src=\"/Content/Photo/Images/buttons/close_zoom.png\" onclick='Album.PhotoZoomClose()'>";
        sb += "</div></div>";
        $('body').append(divZoom);
        $('#photo_zoom').html(sb);
        var docW = $(document).width();
        Album.Time_Out = setTimeout('Album.NewWidthDivZoom(' + docW + ');', 100);
        $(document).keyup(function (e) {
            if (e.keyCode == 27) {
                try {
                    Album.PhotoZoomClose();
                }
                catch (ex) { }
            }
        });
    },
    PhotoZoomClose: function () {
        try {
            $('#photo_zoom').remove();
            $('#divOpacity').remove();
        } catch (ex) { }

    },
    NewWidthDivZoom: function (dcw) {
        var wPZ = $('#imgZoom').width();
        var newW = (1024 - (1024 - wPZ));
        var positionNew = (dcw / 2) - (newW / 2);
        $('#photo_zoom').removeAttr('style').attr('style', 'width:' + newW + 'px;dislay:none;margin-top:200px; padding:0pt;border:medium none; visibility: visible;position: absolute; z-index: 1012; left: ' + positionNew + 'px; top: 8px; cursor: url(&quot;/Content/Photo/Images/buttons/zoomout.cur&quot;), auto;');
        clearTimeout(Album.Time_Out);
        Album.Time_Out = setTimeout('Album.PhotoZoomShow();', 100);
    },
    PhotoZoomShow: function () {
        $('#photo_zoom').show();
        $('#divCloseZoom').show();
        $('#imgZoom').show();
        var sb = "";
        sb += "<div id=\"divOpacity\" style=\"background: none repeat scroll 0pt 0pt black; left: 0pt; top: 0pt; padding: 0pt; border: medium none; margin: 0pt; visibility: visible; opacity: 0.75; position: fixed; width: 100%; height: 100%;z-index:600\"></div>";
        if ($('#divOpacity').length > 0) {
            $('#divOpacity').remove();
        }
        $('body').append(sb);
        clearTimeout(Album.Time_Out);
    },
    CheckZoom: function (wxh, currSrc) {
        var w = 0;
        try { w = parseInt(wxh.split('x')[0]) } catch (ex) { };
        if (w < (1024 / 2)) {
            $('#liZoom').hide();
        } else {
            $('#urlOriginal').val(currSrc);
            $('#liZoom').show();
        }
    },
    UpdateDesc: function (desc) {
        var type = "UpdateDesPhoto";
        var pid = $('#iptCrrIdPhoto').val();
        var _data = { type: type, des: TikEncode(desc), pid: pid };
        $.ajax({
            beforeSend: function () {
            },
            type: 'POST',
            dataType: 'text',
            url: "/Service/PhotoAlbum.ashx",
            data: _data,
            success: function (text) {
                var abId = $('#iptCrrIdAlbum').val();
                var cache_key1 = "Album_PhotoNext" + abId + "_" + pid;
                var cache_key2 = "Album_PrevPhoto" + abId + "_" + pid;
                $.jCache.removeItem(cache_key1);
                $.jCache.removeItem(cache_key2);
            }
        });
    },
    RemovePhoto: function () {
        var divF = "<div id='divRemovePhoto'></div>";
        if ($('#divRemovePhoto').length > 0) {
            $('#divRemovePhoto').remove();
        }
        $('body').append(divF);
        $("#divRemovePhoto").attr('title', 'Xác nhận');
        var sb = $("#divRemovePhoto");
        sb.append('Bạn có chắc chắn muốn xóa ảnh này?');
        $("#divRemovePhoto").dialog({
            height: 'auto',
            width: 'auto',
            modal: true,
            resizable: false,
            buttons: { "Xóa": function () {
                var type = "RemovePhoto";
                var pid = $('#iptCrrIdPhoto').val();
                var abId = $('#iptCrrIdAlbum').val();
                var _data = { type: type, pid: pid, abId: abId };
                Album.PhotoNext();
                $.ajax({
                    beforeSend: function () {
                    },
                    type: 'POST',
                    dataType: 'text',
                    url: "/Service/PhotoAlbum.ashx",
                    data: _data,
                    success: function (text) {
                        if (text == "1") {
                            var countPt = parseInt($('#photoCount').html());
                            countPt = countPt - 1;
                            if (countPt == 0) window.location = "/" + currUserView + "/Photo/ListAlbum";
                            $('#photoCount').html(countPt);
                            var indexCurr = parseInt($('#indexCurr').html());
                            indexCurr = indexCurr - 1;
                            $('#indexCurr').html(indexCurr);

                            var cache_key1 = "Album_PhotoNext" + abId + "_" + pid;
                            var cache_key2 = "Album_PrevPhoto" + abId + "_" + pid;
                            $.jCache.removeItem(cache_key1);
                            $.jCache.removeItem(cache_key2);
                            $("#divRemovePhoto").dialog('close');
                        } else {
                            TikAlert('Xóa không thành công', 'Thông báo');
                        }
                    }
                });
            }, "Bỏ qua": function () { $(this).dialog('close'); return; }
            }
        });
        $("#divRemovePhoto").dialog('open');
    },
    SetPhotoAsAvatar: function () {
        var divF = "<div id='divSetPhotoAsAvatar'></div>";
        if ($('#divSetPhotoAsAvatar').length > 0) {
            $('#divSetPhotoAsAvatar').remove();
        }
        $('body').append(divF);
        $("#divSetPhotoAsAvatar").attr('title', 'Xác nhận');
        var sb = $("#divSetPhotoAsAvatar");
        sb.append('Bạn có chắc chắn muốn thay Avatar?');
        $("#divSetPhotoAsAvatar").dialog({
            height: 'auto',
            width: 'auto',
            modal: true,
            resizable: false,
            buttons: { "Thay Avata": function () {
                var type = "SetPhotoAsAvatar";
                var pid = $('#iptCrrIdPhoto').val();
                var _data = { type: type, pid: pid };
                $.ajax({
                    beforeSend: function () {
                    },
                    type: 'POST',
                    dataType: 'text',
                    url: "/Service/PhotoAlbum.ashx",
                    data: _data,
                    success: function (text) {
                        var retV = eval(text);
                        switch (retV.Return) {
                            case "1":
                                var filePath = TikEncode(retV.PathFile);
                                _data = { type: "ChangeAvatar", UrlImage: filePath };
                                $.ajax({
                                    beforeSend: function () {
                                    },
                                    type: 'POST',
                                    dataType: 'text',
                                    url: "/AjaxHandlers/UploadAvatar.ashx",
                                    data: _data,
                                    success: function (text) {
                                        if (text == "1") {
                                            TikAlert('Thay Avatar thành công', 'Thông báo');
                                            $("#divSetPhotoAsAvatar").dialog('close');
                                        }
                                        else {
                                            TikAlert('Không thành công, vui lòng liên hệ với ban quản trị để biết thêm thông tin', 'Thông báo');
                                        }
                                    }
                                });
                                break;
                            default:
                                TikAlert('Không thành công bạn vui lòng thử lại', 'Thông báo');
                                break;
                        }
                    }
                });
            }, "Bỏ qua": function () { $(this).dialog('close'); return; }
            }
        });
        $("#divSetPhotoAsAvatar").dialog('open');
    },
    AddTagFriend: function (uId, uName, uFullName) {
        var query = $('#txtQuery').val();
        var pid = $('#iptCrrIdPhoto').val();
        var _left = $('#tag_pos_x').val();
        var _top = $('#tag_pos_y').val();
        var urlP = $('#iptCrrUrlPhoto').val();
        var _data = { type: "AddTagFriend", pId: pid, urlP: TikEncode(urlP), uId: uId, uName: uName, uFullName: uFullName, _left: _left, _top: _top };
        $.ajax({
            beforeSend: function () {
            },
            type: 'POST',
            dataType: 'text',
            url: "/Service/PhotoAlbum.ashx",
            data: _data,
            success: function (rv) {
                var retV = eval(rv);
                switch (retV.Return) {
                    case "1":
                        photo_tag_frame_size = $('.photo_tag_frame', parent_imgView).outerWidth();
                        var photo_tag_frame_size_ = photo_tag_frame_size / 2;
                        var this_x = 0;
                        var this_y = 0;
                        this_x = parseInt(_left) - photo_tag_frame_size_;
                        this_y = parseInt(_top) - photo_tag_frame_size_;
                        var strHtml1 = "<a href=\"/" + uName + "\" id=\"tag_" + uId + "\" class=\"tags\" x=\"" + _left + "\" y=\"" + _top + "\" style=\"left: " + this_x + "px; top: " + this_y + "px; \"><span>" + uFullName + "</span></a>";
                        $('#listTaged1').append(strHtml1);
                        var strHtml2 = "";
                        if ($('#listTaged2').length > 0) {
                            strHtml2 = "<a class=\"taged\" href=\"/" + uName + "\" rel=\"tag_" + uId + "\" id=\"tg_" + uId + "\">, " + uFullName + "</a> <a id=\"rmTag_" + uId + "\" class=\"rmTag\" href=\"javascript:void(0)\" rel=\"tag_" + uId + "\" onclick=\"Album.RemoveTag('" + uId + "','" + pid + "')\">(bỏ đánh dấu)</a>";
                            $('#listTaged2').append(strHtml2);
                        } else {
                            strHtml2 = "<a class=\"taged\" href=\"/" + uName + "\" rel=\"tag_" + uId + "\" id=\"tg_" + uId + "\">" + uFullName + "</a> <a id=\"rmTag_" + uId + "\" class=\"rmTag\" href=\"javascript:void(0)\" rel=\"tag_" + uId + "\" onclick=\"Album.RemoveTag('" + uId + "','" + pid + "')\">(bỏ đánh dấu)</a>";
                            $('div.members_tag').append("<span style=\"color:#333333\">Trong ảnh này:</span> <span id=\"listTaged2\">" + strHtml2 + "</div>");
                        }
                        break;
                    default:
                        TikAlert('Không thành công bạn vui lòng thử lại', 'Thông báo');
                        break;
                }
            }
        });
    },
    RemoveTag: function (uId, pId) {
        var _data = { type: "RemoveTag", pId: pId, uId: uId };
        $.ajax({
            beforeSend: function () {
            },
            type: 'POST',
            dataType: 'text',
            url: "/Service/PhotoAlbum.ashx",
            data: _data,
            success: function (rv) {
                switch (rv) {
                    case "1":
                        try {
                            $('#tag_' + uId).remove();
                        } catch (e) { }
                        try {
                            $('#tg_' + uId).remove();
                        } catch (e) { }
                        try {
                            $('#rmTag_' + uId).remove();
                        } catch (e) { }
                        break;
                    default:
                        TikAlert('Không thành công bạn vui lòng thử lại', 'Thông báo');
                        break;
                }
            }
        });
    },
    LoadFriendTaged: function (info) {
        var _data = { type: "LoadFriendTaged", pId: info.ID };
        $.ajax({
            beforeSend: function () {
            },
            type: 'POST',
            dataType: 'text',
            url: "/Service/PhotoAlbum.ashx",
            data: _data,
            success: function (rv) {
                var strHtml1 = "";
                var strHtml2 = "";
                var tagInfo = eval("(" + rv + ")");
                if (tagInfo.length > 0) {
                    strHtml2 = "<span style=\"color:#333333\">Trong ảnh này:</span> <span id=\"listTaged2\">";
                    photo_tag_frame_size = $('.photo_tag_frame', parent_imgView).outerWidth();
                    var photo_tag_frame_size_ = photo_tag_frame_size / 2;
                    var this_x = 0;
                    var this_y = 0;
                    for (var i = 0; i < tagInfo.length; i++) {
                        this_x = parseInt(tagInfo[i].TagLeft) - photo_tag_frame_size_;
                        this_y = parseInt(tagInfo[i].TagTop) - photo_tag_frame_size_;
                        strHtml1 += "<a href=\"/" + tagInfo[i].UserName + "\" id=\"tag_" + tagInfo[i].UserID + "\" class=\"tags\" x=\"" + tagInfo[i].TagLeft + "\" y=\"" + tagInfo[i].TagTop + "\" style=\"left: " + this_x + "px; top: " + this_y + "px; \"><span>" + tagInfo[i].UserFullName + "</span></a>";
                        if (i == 0) {
                            if (tagInfo[i].UserName == CURRENT_USERNAME || info.UserID == CURRENT_USERID || tagInfo[i].AuthorUserNameTag == CURRENT_USERNAME) {
                                strHtml2 += "<a class=\"taged\" href=\"/" + tagInfo[i].UserName + "\" rel=\"tag_" + tagInfo[i].UserID + "\" id=\"tg_" + tagInfo[i].UserID + "\">" + tagInfo[i].UserFullName + "</a> <a id=\"rmTag_" + tagInfo[i].UserID + "\" class=\"rmTag\" href=\"javascript:void(0)\" rel=\"tag_" + tagInfo[i].UserID + "\" onclick=\"Album.RemoveTag('" + tagInfo[i].UserID + "','" + info.ID + "')\">(bỏ đánh dấu)</a>";
                            } else strHtml2 += "<a class=\"taged\" href=\"/" + tagInfo[i].UserName + "\" rel=\"tag_" + tagInfo[i].UserID + "\" id=\"tg_" + tagInfo[i].UserID + "\">" + tagInfo[i].UserFullName + "</a>";
                        } else {
                            if (tagInfo[i].UserName == CURRENT_USERNAME || info.UserID == CURRENT_USERID || tagInfo[i].AuthorUserNameTag == CURRENT_USERNAME) {
                                strHtml2 += "<a class=\"taged\" href=\"/" + tagInfo[i].UserName + "\" rel=\"tag_" + tagInfo[i].UserID + "\" id=\"tg_" + tagInfo[i].UserID + "\">, " + tagInfo[i].UserFullName + "</a> <a id=\"rmTag_" + tagInfo[i].UserID + "\" class=\"rmTag\" href=\"javascript:void(0)\" rel=\"tag_" + tagInfo[i].UserID + "\" onclick=\"Album.RemoveTag('" + tagInfo[i].UserID + "','" + info.ID + "')\">(bỏ đánh dấu)</a>";
                            } else strHtml2 += "<a class=\"taged\" href=\"/" + tagInfo[i].UserName + "\" rel=\"tag_" + tagInfo[i].UserID + "\" id=\"tg_" + tagInfo[i].UserID + "\">, " + tagInfo[i].UserFullName + "</a>";
                        }
                    }
                    strHtml2 += "</span>";
                    $('#listTaged1').html('');
                    $('div.members_tag').html('');
                    $('#listTaged1').html(strHtml1);
                    $('div.members_tag').html(strHtml2);
                } else {
                    $('#listTaged1').html('');
                    $('div.members_tag').html('');
                }
            }
        });
    },
    SearchFriendTag: function () {
        var query = $('#txtQuery').val();
        var limit = "20";
        var _data = { query: query, limit: limit };
        $.ajax({
            beforeSend: function () {
            },
            type: 'POST',
            dataType: 'text',
            url: '/Service/SelectFriend.ashx',
            data: _data,
            success: function (rv) {
                var listUser = eval(rv);
                var relVal = "";
                var strHtml = "";
                var isExit = false;
                if (listUser.length > 0) {
                    for (var i = 0; i < listUser.length; i++) {
                        isExit = false;
                        $('.members_tag a.taged').each(function () {
                            relVal = $(this).attr('rel');
                            relVal = relVal.replace(/tag_/g, '');
                            if (jQuery.trim(listUser[i].FriendID) == jQuery.trim(relVal)) {
                                isExit = true;
                            }
                        });

                        if (isExit == false) {
                            strHtml += "<li><input type=\"checkbox\" uname=\"" + listUser[i].UserName + "\" uid=\"" + listUser[i].FriendID + "\" ufullname=\"" + listUser[i].FriendFullName + "\" /><label for=\"\">" + listUser[i].FriendFullName + "</label></li>";
                        }
                    }
                    $('#divFriend').html(strHtml);
                }
            }
        });
    }
}

//-----------------------------------------
$(function () {
    $('.photoDescEdit').live('click', function () {
        $(this).parents().find('a.inline_edit').click();
        return false;
    });
    $('.photoDesc input').live('blur', function () {
        var photo_desc = $(this).val();
        Album.UpdateDesc(photo_desc);
    });
    $('a.photoShow', parent_imgView).live('mousemove click', function (e) {
        var mouse_x = e.pageX - albumViewPhoto_pos_x;
        var mouse_y = e.pageY - albumViewPhoto_pos_y;
        if (e.type == 'mousemove') {
            //$('#mouse_postion').html("X:" + mouse_x + " - Y" + mouse_y);
            if (mouse_x > (imgView_pos_x + (imgViewWidth / 2))) {
                img_view_hidden.val('next');
                parent_imgView.addClass('next');
                parent_imgView.removeClass('prev');
            } else {
                img_view_hidden.val('prev');
                parent_imgView.addClass('prev');
                parent_imgView.removeClass('next');
            }
        } else {
            if (mode_tag_hidden.val() == 1) {
                if (mouse_x < imgView_pos_x || mouse_x > (imgView_pos_x + imgViewWidth)) {
                    $('.photo_tag_frame, .memList', parent_imgView).hide();
                } else {
                    if ($('.photo_tag_frame', parent_imgView).is(':hidden')) {
                        $('.photo_tag_frame', parent_imgView).show();
                        $('.memList', parent_imgView).show();
                    }
                    $('#txtQuery').focus();
                    var photo_tag_frame_postion_x = mouse_x - (photo_tag_frame_size / 2);
                    var photo_tag_frame_postion_y = mouse_y - (photo_tag_frame_size / 2);

                    if (photo_tag_frame_postion_x < imgView_pos_x) {
                        photo_tag_frame_postion_x = imgView_pos_x - 1;
                    }

                    if (photo_tag_frame_postion_y < imgView_pos_y) {
                        photo_tag_frame_postion_y = imgView_pos_y - 1;
                    }
                    if ((photo_tag_frame_postion_x + photo_tag_frame_size) > (imgViewWidth + imgView_pos_x)) {
                        photo_tag_frame_postion_x = (imgViewWidth + imgView_pos_x) - (photo_tag_frame_size - 1);
                    }
                    if ((photo_tag_frame_postion_y + photo_tag_frame_size) > (imgViewHeight + imgView_pos_y)) {
                        photo_tag_frame_postion_y = (imgViewHeight + imgView_pos_y) - (photo_tag_frame_size - 1);
                    }
                    if (photo_tag_frame_postion_x < 0) photo_tag_frame_postion_x = 0;
                    if (photo_tag_frame_postion_y < 0) photo_tag_frame_postion_y = 0;

                    $('.photo_tag_frame', parent_imgView).animate({
                        'left': photo_tag_frame_postion_x,
                        'top': photo_tag_frame_postion_y
                    }, 400);

                    $('#tag_pos_x').val(mouse_x);
                    $('#tag_pos_y').val(mouse_y);

                    $('.memList', parent_imgView).animate({
                        'left': photo_tag_frame_postion_x + (photo_tag_frame_size + 5),
                        'top': photo_tag_frame_postion_y
                    });
                }
            } else {
                $('.albumViewPhoto .load').show();
                var statusMouse = img_view_hidden.val();
                if (statusMouse == 'next') {
                    Album.PhotoNext();
                } else {
                    Album.PhotoPrev();
                }
                $('.albumViewPhoto .load').hide();
            }
            return false;
        }
    });
    $('#tag_start').live('click', function () {
        $('a.tags').hide();
        $('html, body').animate({ scrollTop: $("#contentArea").offset().top }, 800);
        mode_tag_hidden.val(1);
        parent_imgView.addClass('modeTag');
        return false;
    });
    $('#mode_tag_cancel, .memList :checkbox').live('click', function (e) {
        $('a.tags').show();
        var tagName = e.target.tagName;
        if (tagName == 'INPUT') {
            var uIdTag = $(this).attr('uid');
            var uNameTag = $(this).attr('uname');
            var uFullNameTag = $(this).attr('ufullname');
            Album.AddTagFriend(uIdTag, uNameTag, uFullNameTag);
        }
        mode_tag_hidden.val(0);
        $('#txtQuery').val('');
        $('#divFriend').html('');
        $('.photo_tag_frame, .memList', parent_imgView).hide();
        parent_imgView.removeClass('modeTag');
        return false;
    });
    /*$('#imgView .tags').each(function () {
    var photo_tag_frame_size_ = photo_tag_frame_size / 2;
    var this_x = parseInt($(this).attr('x')) - photo_tag_frame_size_;
    var this_y = parseInt($(this).attr('y')) - photo_tag_frame_size_;

    $(this).css({
    left: this_x,
    top: this_y
    });
    });*/
    $('.members_tag a').live('mouseover mouseleave', function (e) {
        if (e.type == 'mouseover')
            $('#' + $(this).attr('rel')).addClass('show');
        else
            $('#' + $(this).attr('rel')).removeClass('show');
    });
});

function LoadMouseStatus() {
    $(window).bind('load', function () {
        mode_tag_hidden = $('#mode_tag_hidden');
        img_view_hidden = $('#img_view_hidden');
        parent_imgView = $('#imgView');
        imgView = $('img', parent_imgView);
        imgViewWidth = imgView.width();
        imgViewHeight = imgView.height();
        imgView_pos_x = parseInt(imgView.position().left);
        imgView_pos_y = parseInt(imgView.position().top);
        albumViewPhoto_pos_x = parseInt($('.albumViewPhoto').position().left);
        albumViewPhoto_pos_y = parseInt($('.albumViewPhoto').position().top);
        photo_tag_frame_size = $('.photo_tag_frame', parent_imgView).outerWidth();
    });
}