jQuery.fn.inputHighlight = function (options) {
	return this.each(function(){
		$(this).focus(function(){
			$(this).addClass('input_highlight_focus');
        }).blur(function(){
            $(this).removeClass('input_highlight_focus');  
        });  
	});
};


function LTrim(str) {
   var whitespace = new String(" \t\n\r");
   var s = new String(str);
   if (whitespace.indexOf(s.charAt(0)) != -1) {
      var j=0, i = s.length;
      while (j < i && whitespace.indexOf(s.charAt(j)) != -1)
         j++;
      s = s.substring(j, i);
   }
   return s;
}

function RTrim(str) {
   var whitespace = new String(" \t\n\r");
   var s = new String(str);
   if (whitespace.indexOf(s.charAt(s.length-1)) != -1) {
      var i = s.length - 1;       // Get length of string
      while (i >= 0 && whitespace.indexOf(s.charAt(i)) != -1)
         i--;
      s = s.substring(0, i+1);
   }
   return s;
}

function Trim(str) {
	return RTrim(LTrim(str));
}

function TrimTotal(str) {
	var text = '';
	str = str.split(" ");
	for( var i=0; i<(str.length); i++ )
		text+= Trim(str[i])+" ";
	return text;
}
//16-07

function getKeyCode(e)
{
	var result, code;
	if ((e.charCode) && (e.keyCode==0))
	{
		result = e.charCode;
		//code = e.charCode;
	} else {
		result = e.keyCode;
		//code = e.keyCode;
	}
//	if (code == 8) result += " BKSP"
//	else if (code == 9) result += " TAB"
//	else if (code == 46) result += " DEL"
//	else if ((code >= 41) && (code <=126)) result += " '" + String.fromCharCode(code) + "'";
	if (e.shiftKey) result += "-S";
	if (e.ctrlKey) result += "-C";
	if (e.altKey) result += "-A";	
	return result;
}

$(window).bind('load',function(){
	
    $('#body').show(); //Hien noi dung website khi trang load xong
	hide_Loading(); //An loading khi trang load xong	
	
	$('textarea.autoResize').autoResize({
		extraSpace : 0,
		animateDuration:0,
		focusAddClass:'bor'
	});
	
});

function bindEventForCloseButton() {
    $('a.closeBtn, a.editBtn').each(function () {
        var this_ = $(this);
        $(this).parent().mouseover(function () {
            this_.fadeTo(1, 1);
        }).mouseleave(function () {
            this_.fadeTo(1, 0);
        });
    });
}
$(function () {
    $('.displaySuggest li, .playLst .it').live('mouseover mouseleave', function (e) {
        if (e.type == 'mouseover') {
            $('a.closeBtn', this).fadeTo(1, 1);
        } else {
            $('a.closeBtn', this).fadeTo(1, 0);
        };
    });
    
    bindEventForCloseButton();
    
	$('.uiMnBtn').live('click',function(){
		$(this).parent().find('ul').show();
		return false;
	});
	
    /*$('.wrapperHighlight, .displaySuggest li, .modContent li, .fiendsLs li, .actiHist li').live('mouseover',function(){
    $('a.closeBtn', this).fadeTo(1,1);
    }).live('mouseleave',function(){
    $('a.closeBtn', this).fadeTo(1,0);
    });*/


    $("#body").live('click', function (e) {
        var tagName = e.target.tagName;
        var parent_nodeName = $(e.target).parent().get(0).nodeName;
        //e.preventDefault();

        if ($(e.target).hasClass('inline_edit')) {
            if (tagName == 'A') {
                if ($('body').find('input.inline_edit').attr('class') != undefined) {
                    $('input.inline_edit').each(function () {
                        $(this).replaceWith('<a href="#" class="' + $(this).attr('class') + '">' + $(this).val() + '</a>');
                        $('input[name=UIShareStage_Title]').val($(this).val());
                    });
                    $('textarea.inline_edit').each(function () {
                        $(this).replaceWith('<a href="#" class="' + $(this).attr('class') + '">' + $(this).val() + '</a>');
                        $('input[name=UIShareStage_Content]').val($(this).val());
                    });
                }
                //==================				
                if (parent_nodeName == 'SPAN') {
                    $(e.target).replaceWith('<input type="text" class="' + $(e.target).attr('class') + '" value="' + $(e.target).html() + '">');
                    $('input.inline_edit').focus();
                } else if (parent_nodeName == 'P') {
                    $(e.target).replaceWith('<textarea class="autoResize ' + $(e.target).attr('class') + '" title="' + $(e.target).attr('title') + '">' + TrimTotal($(e.target).html()) + '</textarea>');
                    $('textarea.inline_edit').focus();
                    $('textarea', e.target).css('');

                }
            }
            return false;
        }
    });

    $('input.inline_edit, textarea.inline_edit').live('blur', function () {
        $(this).replaceWith('<a href="#" class="' + $(this).attr('class') + '" title="' + $(this).attr('title') + '">' + $(this).val() + '</a>');
        if ($('body').find('.UIShareStage_Title').attr('class') != undefined)
            $('input[name=UIShareStage_Title]').val($(this).val());
    });

    $("input.IPHL,textarea.IPHL").inputHighlight();
    //asyncPost();

    //navbar (Trang chu, Trang ca nhan, Ban be, Ung dung)
    $('.navbar li').live('mouseover mouseleave', function (e) {
        if (e.type == 'mouseover') {
            var _this = $(this);
            _this.addClass('hover');
            $('ul', _this).stop().show();
        } else {
            var _this = $(this);
            _this.removeClass('hover');
            $('ul', _this).stop().hide();
        }
    });

    //menu ben trai (duoi avatar thanh vien)
    $('.uiSideNav li').live('mouseover mouseleave', function (e) {
        if (e.type == 'mouseover')
            $(this).addClass('h');
        else
            $(this).removeClass('h');
    });

    $('.uiSideNav li a').live('click', function () {
        if ($(this).parent().hasClass('sub_ex')) {
            $(this).parent().find('ul').stop().toggle();
            return false;
        }
    });
    //============= close btn 
    $('.pagaletStream .stream_item, .displaySuggest li').live('mouseover mouseleave', function (e) {
        if (e.type == 'mouseover')
            $('.closeMenu .icon01', this).css('visibility', 'visible');
        else
            $('.closeMenu .icon01', this).css('visibility', 'hidden');
    });

    $('.closeMenu').live('mouseover mouseleave', function (e) {
        if (e.type == 'mouseover')
            $('.icon01', this).addClass('h');
        else
            $('.icon01', this).removeClass('h');
    });

    $('.closeMenu .icon01').live('click', function () {
        $(this).parent().find('.uiMenu').toggle();
    });
    $('.closeMenu').live('mouseleave', function () {
        $('.uiMenu', this).hide();
    });

    //autoResize textarea
    $('textarea,input').bind('focus blur', function (e) {
        if (e.type == 'focus') {
            var this_title = $(this).attr('title');

            if ($(this).val() == this_title) {
                $(this).val('');
            };
            $(this).next('.divUiButton').show();
        } else {
            var this_title = $(this).attr('title');
            if ($(this).val() == '') {
                $(this).val(this_title);
                $(this).next('.divUiButton').hide();
            }
        }
    });

    //    //tooltip
    //    $('.tooltip').tipsy({
    //        title: function () {
    //            var this_ = $(this);
    //            var content = $(this).next();
    //            if (content.html() == '') {
    //                content.html('<img src="Images/loading1.gif" width="16" height="11" />');
    //                $.get(
    //					 $('a', this_).attr('href')
    //					, function (data) {
    //					    setTimeout(function () {
    //					        content.html(data);
    //					        this_.mouseover();
    //					    }, 2000);
    //					}
    //				);
    //            }
    //            return content.html();
    //        },
    //        gravity: 'n'
    //    });

    //16-07
    //    $('a[rel=video_view]').live('click', function () {
    //        var this_ = $(this);
    //        this_.parents('.uiPhotoThumb').find('.uiAttachmentMedia, .UIImageBlock_Content').hide();

    //        var video_data = this_.attr('href');
    //        if (video_data == '' || video_data == undefined) {
    //            if (data.indexOf('http://www') == 0)
    //                video_data = data;
    //        }
    //        //		var video_auto_play = video_data.search(new RegExp(/autoplay/i));
    //        //		if (video_auto_play < 0) {
    //        //		    video_data += '&amp;autoplay=1';
    //        //		}

    //        video_data = '<embed src="' + video_data + '" type="application/x-shockwave-flash" width="425" wmode="transparent" allowscriptaccess="always" allowfullscreen="true" wmode="transparent" quality="high"></embed>';

    //        this_.parents('.uiPhotoThumb').find('.uiAttachmentMedia, #video_view').html(video_data);


    //        //		$.get( this_.attr('href'), function(data){			
    //        //			var video_data = $(data).find('param[name=movie]').val();
    //        //			if( video_data == '' || video_data == undefined)
    //        //			{
    //        //				if( data.indexOf('http://www') == 0 )
    //        //				video_data = data;
    //        //			}
    //        //			var video_auto_play = video_data.search(new RegExp(/autoplay/i));
    //        //			if( video_auto_play < 0 ){
    //        //				video_data += '&amp;autoplay=1';
    //        //			}
    //        //			video_data = '<embed src="'+video_data+'" type="application/x-shockwave-flash" width="425" height="350" flashvars="" wmode="transparent" allowscriptaccess="never" allowfullscreen="true" quality="high"></embed>';
    //        //			
    //        //			this_.parents('.uiPhotoThumb').find('.uiAttachmentMedia, #video_view').html( video_data );
    //        //		}).success(function() {
    //        //			//alert("second success");
    //        //		})
    //        //		.error(function() {
    //        //			//alert("error");
    //        //		})
    //        //		.complete(function() {
    //        //			//alert("complete");
    //        //		});
    //        return false;
    //    });    
    //Menu tai khoan cua thanh vien da dang nhap
    $('.welcom .accLink a.navLink').click(function () {
        $('.welcom .otherMenu .its').removeClass('show');
        var this_parent = $(this).parent();
        this_parent.toggleClass('show').prev().toggleClass('n');
        $('ul', this_parent).toggle();
        $('.welcom .otherMenu ul').stop().hide();
        return false;
    });
});

$(':not(.welcom .otherMenu ul)').click(function (event) { //Menu thanh vien (Khi bam ra ngoai vung menu nay se an di)
    var index = $(event.target).parents().index($('.welcom .otherMenu ul'));
    $('.welcom .otherMenu .its').removeClass('show');
    if (index == -1) {
        if ($('.welcom .otherMenu ul').is(":visible")) {
            $('.welcom .otherMenu ul').hide();
            var accLink = $('.welcom .otherMenu');
        }
    }
});

$(':not(.welcom .accLink .navigation)').click(function (event) { //Menu thanh vien (Khi bam ra ngoai vung menu nay se an di)
    var index = $(event.target).parents().index($('.welcom .accLink .navigation'));
    if (index == -1) {
        if ($('.welcom .accLink .navigation').is(":visible")) {
            $('.welcom .accLink .navigation').hide();
            $('.welcom .otherMenu .its').removeClass('show');
            var accLink = $('.welcom .accLink');
            accLink.toggleClass('show').prev().toggleClass('n');
        }
    }
});

$(':not(.uiBtnMn ul)').click(function(event){ //Menu thanh vien (Khi bam ra ngoai vung menu nay se an di)
	var index = $(event.target).parents().index($('.uiBtnMn ul'));
    if( index == -1 ){
        if($('.uiBtnMn ul').is(":visible"))
		{
            $('.uiBtnMn ul').hide();
        }
    }        
});