﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Social.Service.Interface.TikFriend;
using Social.Entity.TikFriend;
using System.Web.SessionState;
using Social.Lib;
using System.Web.Script.Serialization;
using System.Text;

namespace Social.Web.Service
{
    /// <summary>
    /// Summary description for GroupFriend
    /// </summary>
    public class GroupFriend : IHttpHandler, IReadOnlySessionState
    {

        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/plain";
            try
            {
                string friendid = context.Request.Form["friend"].ToString();
                string val1 = context.Request.Form["val"].ToString();
                Guid ownerID = new Guid(SessionManager.Get("UserID").ToString());
                IFriendListService _user = DependencyResolver.Current.GetService<IFriendListService>();
                Social.Entity.TikFriend.FriendList lsfriend = new Social.Entity.TikFriend.FriendList();

                lsfriend.OwnerID = ownerID;
                lsfriend.FriendListName = val1;
                lsfriend.ID = Guid.NewGuid();
                lsfriend.CreatedDate = System.DateTime.Now;
                lsfriend.UpdatedDate = System.DateTime.Now;

                IFriendInListService _friendinlistservice = DependencyResolver.Current.GetService<IFriendInListService>();

                Social.Entity.TikFriend.FriendInList friendinlist = new FriendInList();
                friendinlist.ID = Guid.NewGuid();
                friendinlist.FriendID =new Guid(friendid);
                friendinlist.FriendListID = lsfriend.ID;
                friendinlist.Status = true;
                _user.Add(lsfriend);
                var userfriendlist = _user.GetStringFriendList(ownerID);
                //xóa những bản ghi đã thuộc 1 nhóm 
                if (userfriendlist.Count() > 0)
                {
                    foreach (var friend0 in userfriendlist)
                    {
                        _friendinlistservice.Delete(c => c.FriendID == new Guid(friendid) && c.FriendListID == friend0.ID);

                    }

                }
                _friendinlistservice.Add(friendinlist);

                var jss = new JavaScriptSerializer();
                var sbControls = new StringBuilder();
                jss.Serialize(lsfriend, sbControls);
                
                context.Response.Write(sbControls.ToString());
                //context.Response.Write("<a href=\"\" id=\"" + lsfriend.ID + "\">" + val1 + "</a>");
                

                
            }
            catch { }
            
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}