﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Social.Service.Interface.TikFriend;
using System.Web.Mvc;
using Social.Service.Interface.Tik;
using System.Web.SessionState;
using Social.Lib;

namespace Social.Web.Service
{
    /// <summary>
    /// Summary description for PushFriend
    /// </summary>
    public class PushFriend : IHttpHandler, IReadOnlySessionState
    {

        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/plain";
            string id = context.Request.Form["friend"].ToString();
            string idground = context.Request.Form["idground"].ToString();

            string fromUserID = SessionManager.Get("UserID").ToString();
            //Array ar = id.Split(id, ",");
            List<Guid> states = new List<Guid>(3);
            char[] separator = new char[] { ',' };

            string[] strSplitArr = id.Split(separator);

            foreach (string arrStr in strSplitArr)
            {
                Guid s = new Guid(arrStr);
                states.Add(s);
            }


            



            Guid sid = new Guid(fromUserID);

            IFriendRequestService _friendrequest = DependencyResolver.Current.GetService<IFriendRequestService>();
            IUserProfileService _userprofile = DependencyResolver.Current.GetService<IUserProfileService>();
            IUserFriendService _userfriend = DependencyResolver.Current.GetService<IUserFriendService>();

            var frierequest = _friendrequest.GetAll().Where(x => x.FromUserID == sid).ToList().Select(x => x.ToUserID);
            var userfriend = _userfriend.GetAll().Where(o => o.OwnerID == sid).ToList().Select(p => p.FriendID);

            

            var count = _userprofile.GetAll().Where(x => !frierequest.Contains(x.ID) && !userfriend.Contains(x.ID) && !states.Contains(x.ID)).ToList().Count;
            int index = new Random().Next(count);
            var userprofile = _userprofile.GetUserProfileCountFriend().Where(x => !frierequest.Contains(x.ID) && !userfriend.Contains(x.ID) && !states.Contains(x.ID)).Skip(index).Take(1).ToList();

            foreach (var suggestFriend in userprofile)
            {
                //Lấy danh sách bạn của thằng suggest
                var friendListOfSuggest = _userfriend.GetAll(f => f.OwnerID == suggestFriend.ID).Select(f => f.FriendID);
                //Đếm số lượng bạn chung
                int dem = friendListOfSuggest.Count(suggestPerson => userfriend.Contains(suggestPerson));
                ////Đếm
                //int dem = _userfriend.GetAll().Where(o => friends.Contains(o.OwnerID)).ToList().Select(p => p.FriendID).Count();
                //var dem=from c in _userfriend.GetAll()
                //        where c.OwnerID
                if (dem > 0)
                {
                    suggestFriend.UserCount = dem;
                }

            }


            try
            {
                context.Response.Write("<div id=\"hiden_" + idground + " \"><a href=\"#\" class=\"fr closeMenu\"><span class=\"icon01 ico18\"  data=\"" + userprofile[0].ID + "\"  idgroup=\"" + idground + "\"></span></a><a href=\"\"><img src=\"/Content/Tik_friend/Images/female.gif\" alt=\"\" width=\"50\" height=\"50\" border=\"0\" /> <span class=\"profile\">" + userprofile[0].FirstName + " " + userprofile[0].LastName + "</span> </a><a href=\"\" class=\"asyncPost\" rel=\"asyncPost\" title=\"10 bạn chung\"> " + userprofile[0].UserCount + " bạn chung</a> <div class=\"addFri\"><span class=\"fl icon01 ico14\"></span><a href=\"#\" id=\"addFriend\" data=\"" + userprofile[0].ID + "\" idgroup=\"" + idground + "\">Kết bạn</a> </div><div class=\"clr\"> </div></div>");

            }
            catch { }



        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}