﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Social.Service.Interface.Tik;
using System.Web.Mvc;
using Social.Service.Interface.TikFriend;

namespace Social.Web.Service
{
    /// <summary>
    /// Summary description for SearchFriend
    /// </summary>
    public class SearchFriend : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {

            context.Response.ContentType = "text/plain";
            string key = context.Request.Form["friend"].ToString();
            IUserFriendService _user = DependencyResolver.Current.GetService<IUserFriendService>();
            Guid id=new Guid("03cd37fb-a9ff-4f91-9b23-48188ddf7ce4");
            var u = _user.GetKeyWord(key, id);
            context.Response.Write("<table>");
            if (u.Count > 0)
            {
                foreach (var c in u)
                {
                    context.Response.Write("<tr><td>");
                    context.Response.Write(c.FriendFullName);
                    context.Response.Write("</td></tr>");
                }
                
            }
            context.Response.Write("</table>");


        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}